lomiri-camera-app (4.1.1+dfsg+droidian0-2+git20251218174350.aec821a.droidian) trixie; urgency=medium

  * config: Remove barcode reader

 -- Cédric Bellegarde <cedric.bellegarde@adishatz.org>  Thu, 18 Dec 2025 18:43:50 +0100

lomiri-camera-app (4.1.1+dfsg+droidian0-1) next; urgency=medium

  [ Cédric Bellegarde ]
  * droidian: Do not flip video output
  * droidian: Rounded icon
  * [ci] Enable CircleCI
  * Implement image rotation using QtSensors
  * debian: Import debian salsa package
  * droidian: Remove UserMetrics support
  * droidian: Add support for feedbackd
  * droidian: Remove share feature
  * droidian: Do not play sound for videos
  * debian: Add missing depends
  * droidian: Workaround issue between Phosh and Qt
  * droidian: Disallow rotation while camera app is active
  * droidian: Hide barcode reader (not working for now)
  * SQUASHME: debian: Remove qml-module-qzxing dep
  * Revert "enable automatic version number in about page"
  * debian: Add missing dependencies

  [ Joana R ]
  * Translated using Weblate (Basque)

  [ Libre Fox ]
  * Translated using Weblate (Ukrainian)

  [ Milo Ivir ]
  * Translated using Weblate (Croatian)
  * Translated using Weblate (Croatian)
  * Translated using Weblate (Croatian)
  * Translated using Weblate (Croatian)
  * Translated using Weblate (Croatian)

  [ Ratchanan Srirattanamet ]
  * Sort supported video resolutions list before using it.
  * Sort supported video resolutions list before using it.
  * Don't calculate captured image & video orientation
  * Wire up orientation for viewfinder correctly
  * Bump framework & AppArmor policy version
  * Bump version to 3.1.0
  * Make sure manual focus point is relative to the screen
  * ViewFinderView: fix whitespace
  * ViewFinderView: fix export confirmation references
  * ExportConfirmation: rename the prop not to clash with an id
  * Parse Exif flash tag more correctly
  * Enable shootButton when video recording is in progress
  * ViewFinderView: remove stray newline & spaces
  * Fixup URL-path confusion
  * Do searchAndLock() when touching the screen for focus point
  * Revert "Don't calculate captured image & video orientation"
  * ViewFinderView: wire camera orientaion to ViewFinderOverlay
  * ViewFinderOverlay: update orientation algorithm for new value meaning
  * Overhual resolutions handling
  * Make sure initial video resolution is in the wellknown list
  * ViewFinderOverlay: compasate for camera position
  * ViewFinderOverlay: use correct flash mode for video
  * cameraapplication: always assume not-desktop for click packages
  * manifest.json: bump framework version to 16.04.4
  * Merge branch 'personal/sunweaver/shared-runner-for-contributors' into 'main'
  * Merge branch 'personal/sunweaver/content-hub-integration-for-non-click-builds' into 'main'
  * Ensure Clicks built on CI has unique version string
  * qml/Viewfinder: fix content export preview corruption in !hasEXIF mode
  * Merge branch 'personal/sunweaver/cmake-4' into 'main'

  [ Mike Gabriel ]
  * Merge branch 'port-to-lomiri-focal' into 'main'
  * Merge branch 'personal/gberh/non-click-build' into 'main'
  * Translated using Weblate (German)
  * Merge branch 'fixpopupdate' into 'main'
  * Merge branch 'mateosalta-main-patch-33563' into 'main'
  * Merge branch 'fixPopupPhotoDimensions' into 'main'
  * Deleted translation using Weblate (Chinese (Traditional, Hong Kong))
  * Revert "Added translation using Weblate (Chinese (Traditional, Hong Kong))"
  * Revert "Deleted translation using Weblate (Chinese (Traditional, Hong Kong))"
  * Merge branch 'preview-rotation-focal' into 'main'
  * Merge branch 'personal/gberh/cleanup' into 'main'
  * Translated using Weblate (German)
  * Merge branch 'personal/gberh/gettext-domain' into 'main'
  * copyright headers: Use unified spelling of the word 'Canonical Ltd.'.
  * copyright headers: Use unified spelling of the word 'UBports Foundation'.
  * assets/COPYING-CC-BY-SA-3.0: Ship artwork license attribution file in upstream section of the code tree, not only in d/copyright.
  * Merge branch 'personal/gberh/icon-sizes' into 'main'
  * Merge branch 'addclipboardbutton' into 'main'
  * Merge branch 'personal/gberh/click-migrate' into 'main'
  * Merge branch 'personal/gberh/fix-migration' into 'main'
  * Merge branch 'master_-_camerabutton' into 'main'
  * Release 4.0.3
  * Merge branch 'main' into 'main'
  * Merge branch 'dropbadanchorfocal' into 'main'
  * Release 4.0.4
  * Release 4.0.5
  * Merge branch 'personal/gberh/fix-reader-desktop-i18n' into 'main'
  * Merge branch 'exiv2-0.28' into 'main'
  * Merge branch 'personal/sunweaver/fix-82-focal' into 'main'
  * Merge branch 'master_-_rotation' into 'main'
  * Release 4.0.6
  * Merge branch 'fix/qt5_use_modules' into 'main'
  * Translated using Weblate (German)
  * Merge branch 'add/optionalTesting' into 'main'
  * Merge branch 'fix/doubleDestination' into 'main'
  * Merge branch 'fix/gnuInstallDirs' into 'main'
  * Merge branch 'fix/titleTranslation' into 'main'
  * Merge branch 'fix/installMoreIcons' into 'main'
  * Merge branch 'fix/qzxing-pkg-config' into 'main'
  * Merge branch 'fix/bindtextdomain' into 'main'
  * .gitlab-ci.yml: use shared runner if run outside our namespace.
  * Release 4.0.7
  * CMakeLists.txt: Install content-hub peers configuration also when built as non-click package.
  * Merge branch 'bump_clickable_min' into 'main'
  * Merge branch 'main_-_playicon' into 'main'
  * Merge branch 'main' into 'main'
  * Release 4.0.8
  * Merge branch 'main_-_videoresofix' into 'main'
  * Merge branch 'main_-_imagequalityfix' into 'main'
  * Merge branch 'add_iconmargin' into 'main'
  * Merge branch 'save-exif-orientation' into 'main'
  * Merge branch 'add_versionnumber' into 'main'
  * Merge branch 'fix_color_spelling' into 'main'
  * Merge branch 'lomiri-camera-app-main' into 'main'
  * Merge branch 'personal/peat-psuwit/click-version-from-git' into 'main'
  * Merge branch 'personal/peat-psuwit/217-postprocess-race' into 'main'
  * Release 4.1.0
  * Merge branch 'personal/fredldotme/qr-scan-invert-color' into 'main'
  * Merge branch 'main_-_videoquality' into 'main'
  * Release 4.1.1
  * Merge branch 'fix/tests' into 'main'
  * Merge branch 'main_-_editButtonsFix' into 'main'
  * Merge branch 'main_-_mediaviewer' into 'main'
  * CMakeLists.txt: Bump cmake_minimum_required() to 3.10. Support building with CMake 4 without deprecation warning.

  [ ButterflyOfFire ]
  * Translated using Weblate (Kabyle)
  * Translated using Weblate (Kabyle)

  [ Nausi Llon ]
  * Translated using Weblate (French)

  [ kugiigi ]
  * Removed Xperia x specific code and replaced with Qt.Key_WebCam
  * Fix position logic of OptionsOverlay
  * Focal changes to additional codes
  * Redesigned video play icon
  * Fix incorrect video resolution
  * Fix incorrect image quality
  * Simplify label of square aspect ratio to 1:1
  * Add support for more resolutions and aspect ratio
  * Add video quality setting
  * Use current video resolution label instead of just HD
  * Move resolution icon beside video quality
  * Implemented improved media viewer
  * Put play icon over error icon in grid view
  * Improved image info dialog

  [ Kugi Eusebio ]
  * Added Xperia X camera button support
  * Added standard Qt Camera Key
  * Changed name of new function shoot to triggerShoot
  * Updated function name to new one
  * Rotate relevant controls/UI even with locked screen orientation
  * Fix header buttons in photo edit mode

  [ OPNA2608 ]
  * Stop using qt5_use_modules
  * CMakeLists.txt: Make tests optional
  * desktop/CMakeLists.txt: Remove doubled DESTINATION
  * Fix GNUInstallDirs variable concatenations in CMake
  * {camera,barcode-reader}-app.qml: Fix title translation
  * CMakeLists.txt: Also install camera SVG icon in non-click mode
  * CMakeLists.txt: Fix splash locations in non-click mode
  * Vectorise barcode icons
  * CMakeLists.txt: Also install barcode SVG icon in non-click mode
  * Try to find QZXing via pkg-config
  * Call i18n.bindtextdomain with buildtime-determined locale path
  * treewide: Fix imports in tests after QML files were moved out of top-level dir

  [ Alagirisamy Rengaraj ]
  * Translated using Weblate (Tamil)

  [ Priit Jõerüüt ]
  * Translated using Weblate (Estonian)
  * Translated using Weblate (Estonian)
  * Translated using Weblate (Estonian)

  [ Alioc ]
  * Translated using Weblate (Chinese (Simplified Han script))

  [ phmqXPD ]
  * Translated using Weblate (Vietnamese)

  [ Alfred Neumayer ]
  * apparmor: Use 'sensors' policy group
  * cameraapplication: Reader mode with QZXing
  * treewide: Initial QR Code Reader
  * Update .gitignore
  * treewide: Fix up some build issues & clean up
  * qml: Activate QZXing.SourceFilter_ImageInverted for imageSourceFilter

  [ Danfro ]
  * add .gitignore file to repo
  * add id to OrientationHelper
  * fix typo in color
  * fix #148 by removing double 'on' value
  * fix #183 by using Exif.Photo.DateTimeOriginal for Exif.Image.DateTime
  * fix #169 by using the EXIF values PixelXDimension and PixelXDimension
  * correct photo time as in !183 likely got wrong when rebasing
  * add copy to clipboard button to barcode reader
  * add ignore review errors to clickable.yaml to allow local building
  * rebase on main
  * reimplement !172 for focal by dropping the anchors that litter the log
  * make the buttons fill the header height as discussed in !172
  * Revert "stash" since this does not belong to this branch
  * bump clickable minimum version
  * add left margin between icon and label in options selector
  * enable automatic version number in about page
  * fix spelling of background color in AdvancedOptions.qml
  * add fixes to barcodereader app and drop obsolete imports
  * bump qtquick import in barcodereaderapp.qml to match version of all other imports
  * update path for icon in about page

  [ Sergey Chupligin ]
  * Move qml files into qml directory
  * Fixup warning when exif data is undefined
  * Fixup waning on unknow image resolution
  * Fixup warning when settingsProperty is undefined
  * Fixup warnings into SlideshowView
  * Fixup warnings into MediaInfoPopover
  * Fixup codestyle
  * SlideshowView: fixup warnings

  [ Ida Brenna ]
  * Translated using Weblate (Norwegian Bokmål)

  [ le0nklcpp ]
  * Add option to erase EXIF metadata
  * Save orientation when erasing metadata

  [ Niko ]
  * Translated using Weblate (Serbian)
  * Translated using Weblate (Serbian)

  [ Ricky Tigg ]
  * Translated using Weblate (Finnish)

  [ தமிழ்நேரம் ]
  * Translated using Weblate (Tamil)

  [ Hosted Weblate ]
  * Update translation files
  * Update translation files
  * Update translation files
  * Update translation files
  * Update translation files
  * Update translation files
  * Update translation files
  * Update translation files
  * Update translation files
  * Update translation files
  * Update translation files

  [ Distant Prince ]
  * Translated using Weblate (English (United States))
  * Translated using Weblate (Dhivehi)
  * Translated using Weblate (English (Canada))
  * Translated using Weblate (Bemba)
  * Translated using Weblate (Estonian)
  * Translated using Weblate (Bengali)
  * Translated using Weblate (Afrikaans)
  * Translated using Weblate (Chechen)
  * Translated using Weblate (Corsican)
  * Translated using Weblate (Assamese)
  * Translated using Weblate (Chuvash)
  * Translated using Weblate (Crimean Tatar)

  [ Serhii Horichenko ]
  * Translated using Weblate (Ukrainian)

  [ ikozyris ]
  * Translated using Weblate (Greek)

  [ umesaburo sagawa ]
  * Translated using Weblate (Japanese)

  [ Steve ]
  * Translated using Weblate (French)
  * Translated using Weblate (French)

  [ Jiri Grönroos ]
  * Translated using Weblate (Finnish)
  * Translated using Weblate (Finnish)
  * Translated using Weblate (Finnish)
  * Translated using Weblate (Finnish)
  * Translated using Weblate (Finnish)
  * Translated using Weblate (Finnish)
  * Translated using Weblate (Finnish)
  * Translated using Weblate (Finnish)

  [ gallegonovato ]
  * Translated using Weblate (Spanish)
  * Translated using Weblate (Spanish)
  * Translated using Weblate (Spanish)

  [ Ivo Xavier ]
  * Translated using Weblate (Portuguese)
  * Translated using Weblate (Portuguese)
  * Translated using Weblate (Portuguese)
  * Translated using Weblate (Portuguese)
  * Translated using Weblate (Portuguese)
  * Translated using Weblate (Portuguese)
  * Translated using Weblate (Portuguese)
  * Translated using Weblate (Portuguese)
  * Translated using Weblate (Portuguese)
  * Translated using Weblate (Portuguese)

  [ Jozef Mlich ]
  * Translated using Weblate (Czech)
  * Translated using Weblate (Czech)
  * Translated using Weblate (Czech)

  [ Joan CiberSheep ]
  * Translated using Weblate (Catalan)
  * Translated using Weblate (Catalan)
  * Update qt version, ubuntucolors, made strings translatable
  * Translated using Weblate (Catalan)
  * Translated using Weblate (Catalan)
  * App icon as SVg. Add SplashScreen
  * Move images into assets folder
  * Translated using Weblate (Catalan)
  * Translated using Weblate (Catalan)

  [ Eryk Michalak ]
  * Translated using Weblate (Polish)

  [ Ali Beyaz ]
  * Translated using Weblate (Turkish)

  [ bittin1ddc447d824349b2 ]
  * Translated using Weblate (Swedish)
  * Translated using Weblate (Swedish)

  [ Heimen Stoffels ]
  * Translated using Weblate (Dutch)
  * Translated using Weblate (Dutch)
  * Translated using Weblate (Dutch)
  * Translated using Weblate (Dutch)
  * Translated using Weblate (Dutch)
  * Translated using Weblate (Dutch)
  * Translated using Weblate (Dutch)
  * Translated by Heimen Stoffels <vistausss@outlook.com> using Weblate (Dutch) - 100.0% (99 of 99 strings)
  * Translated by Heimen Stoffels <vistausss@outlook.com> using Weblate (Dutch) - 100.0% (99 of 99 strings)
  * Translated using Weblate (Dutch)
  * Translated using Weblate (Dutch)

  [ S@P ]
  * reset photo grid view at index 0 in photo roll when back button is pressed

  [ Pino Toscano ]
  * Support Exiv2 0.28+

  [ Guido Berhoerster ]
  * Remove obsolete snap packaging
  * Remove obsolete bzr and bzr-builddeb files
  * Port to Lomiri on focal
  * Rename application
  * Add workaroud for flake8 error on bare exceptions
  * Fix missing return values
  * Update Gallery App URL to its new name
  * Update Music App URL to its new name
  * Modernize i18n
  * Update .pot file
  * Update debian packaging
  * Update and move Jenkinsfile to debian/
  * Update click packaging
  * Update GitLab CI configuration
  * CI: Do not fail builds on warnings and errors
  * Merge branch 'personal/fredldotme/qrcodereader' into 'main'
  * Properly build and install reader in non-click builds
  * Do not hardcode icon for lomiri-camera-app in non-click builds
  * Switch to Lomiri component names
  * Switch to Lomiri desktop file hints
  * Update Debian packaging for reader-app
  * Rename "Reader" to "Barcode Reader"
  * gitlab-ci.yml: Remove fixed clickable version
  * Remove unused pull request template
  * Rename CHANGELOG so it will be updated by ubports_mkrelease
  * Update README.md
  * Update CMake requirements
  * Add note about Barcode-Scanner
  * Improve Debian package description
  * Update instructions for translators
  * Release 4.0.0
  * Fix gettext domain for Barcode Reader
  * Merge branch 'personal/sunweaver/copyright-headers' into 'main'
  * Merge branch 'personal/sunweaver/assets-copyright-attribution' into 'main'
  * Use primary icon in correct sizes for system installs
  * Release 4.0.1
  * Release 4.0.2
  * Add migration wrapper script
  * Add migrations to manifest
  * Use session-migration for migration in Debian
  * Handle migration edge case
  * Merge branch 'add_ignore_review' into 'main'
  * Allow translation of the Barcode reader desktop file

  [ Daniel Soohan Park ]
  * Translated using Weblate (Korean)

  [ phlostically ]
  * Translated using Weblate (Esperanto)
  * Translated using Weblate (Esperanto)
  * Translated using Weblate (Esperanto)
  * Translated using Weblate (Esperanto)
  * Translated using Weblate (Esperanto)

  [ saveurlinux ]
  * Translated using Weblate (French)

  [ Adam Havelka ]
  * Translated using Weblate (Czech)
  * Translated using Weblate (Czech)
  * Translated using Weblate (Czech)

  [ Muhammad ]
  * Translated using Weblate (Urdu)
  * Translated using Weblate (Urdu)
  * Translated using Weblate (Urdu)
  * BarcodeReaderOverlay: get rid of lowspace overlays

  [ Weblate ]
  * Merge remote-tracking branch 'origin/master'
  * Repair commit...
  * Merge branch 'master' of https://github.com/ubports/camera-app
  * Merge remote-tracking branch 'origin/master'
  * Merge remote-tracking branch 'origin/master'
  * Merge remote-tracking branch 'origin/master'
  * Merge remote-tracking branch 'origin/master'
  * Merge remote-tracking branch 'origin/master'
  * Merge branch 'master' of https://github.com/ubports/camera-app
  * Merge remote-tracking branch 'origin/master'
  * Merge remote-tracking branch 'origin/master'
  * Repair commit
  * Merge branch 'master' of https://github.com/ubports/camera-app
  * Merge remote-tracking branch 'origin/master'
  * Merge branch 'master' of https://github.com/ubports/camera-app
  * Merge branch 'origin/master' into Weblate
  * Merge branch 'origin/master' into Weblate
  * Merge branch 'origin/master' into Weblate
  * Merge branch 'origin/master' into Weblate
  * Merge branch 'origin/master' into Weblate
  * Merge branch 'origin/master' into Weblate
  * Merge branch 'origin/master' into Weblate
  * Merge branch 'origin/master' into Weblate.
  * Merge branch 'origin/master' into Weblate.
  * Merge branch 'origin/master' into Weblate.
  * Merge branch 'origin/master' into Weblate.
  * Merge branch 'origin/master' into Weblate.
  * Translated by Heimen Stoffels <vistausss@outlook.com> using Weblate (Dutch) - 100.0% (99 of 99 strings)
  * Translated by Zmicer <nashtlumach@gmail.com> using Weblate (Belarusian) - 48.4% (48 of 99 strings)
  * Translated by abidin <abidin24@tutanota.com> using Weblate (Arabic) - 92.9% (92 of 99 strings)
  * Translated by M.Sugahara <equaaqua@hotmail.com> using Weblate (Japanese) - 96.9% (96 of 99 strings)
  * Translated by abidin <abidin24@tutanota.com> using Weblate (Arabic) - 92.9% (92 of 99 strings)
  * Translated by Enkli Ylli <eylli@yahoo.com> using Weblate (Albanian) - 96.9% (96 of 99 strings)
  * Translated by Yaron Shahrabani <sh.yaron@gmail.com> using Weblate (Hebrew) - 100.0% (99 of 99 strings)
  * Translated by GK <miscgk@pm.me> using Weblate (Tamil) - 24.2% (24 of 99 strings)
  * Translated by GK <miscgk@pm.me> using Weblate (Tamil) - 100.0% (99 of 99 strings)
  * Translated by ierihon <idekovets@mail.ru> using Weblate (Russian) - 100.0% (99 of 99 strings)
  * Translated by Adam <padamyno@gmail.com> using Weblate (Hungarian) - 59.5% (59 of 99 strings)
  * Translated by imrufbd <imrufbd@gmail.com> using Weblate (Bengali (Bangladesh)) - 11.1% (11 of 99 strings)
  * Translated by Heimen Stoffels <vistausss@outlook.com> using Weblate (Dutch) - 100.0% (99 of 99 strings)
  * Translated by louies0623 <louies0623@gmail.com> using Weblate (Chinese (Traditional)) - 100.0% (99 of 99 strings)
  * Translated by TigranKhachatryan0 <tigrank2008@gmail.com> using Weblate (Armenian) - 34.3% (34 of 99 strings)
  * Translated by TigranKhachatryan0 <tigrank2008@gmail.com> using Weblate (Armenian) - 64.6% (64 of 99 strings)
  * Merge branch 'origin/master' into Weblate.
  * Translated by Heimen Stoffels <vistausss@outlook.com> using Weblate (Dutch) - 100.0% (99 of 99 strings)
  * Translated by Milan Korecký <milan.korecky@gmail.com> using Weblate (Czech) - 100.0% (99 of 99 strings)
  * Translated by Ettore Atalan <atalanttore@googlemail.com> using Weblate (German) - 100.0% (99 of 99 strings)
  * Translated by Davidrebolomaga <davidre345@hotmail.com> using Weblate (Galician) - 100.0% (99 of 99 strings)
  * Translated by Marcus Fredlund <marcus.karlson@gmail.com> using Weblate (Swedish) - 100.0% (99 of 99 strings)
  * Translated by Herman <GermanAizek@yandex.ru> using Weblate (Russian) - 100.0% (99 of 99 strings)
  * Translated by M.Sugahara <equaaqua@hotmail.com> using Weblate (Japanese) - 100.0% (99 of 99 strings)
  * Translated by PPNplus <ppnplus@protonmail.com> using Weblate (Thai) - 68.6% (68 of 99 strings)
  * Translated by Stefan Kalb <stefan.kalb@gmx.ch> using Weblate (German) - 100.0% (99 of 99 strings)
  * Translated by HEROBRINE7GAMER <tapermeerkat77@gmail.com> using Weblate (Arabic) - 98.9% (98 of 99 strings)
  * Translated by Görkem Metin <grmetin24@gmail.com> using Weblate (Turkish) - 100.0% (99 of 99 strings)
  * Translated by Anne Onyme <anneonyme017@netcourrier.com> using Weblate (French) - 100.0% (99 of 99 strings)
  * Translated by Adolfo Jayme Barrientos <fitojb@ubuntu.com> using Weblate (Spanish) - 100.0% (99 of 99 strings)
  * Translated by Wannaphong Phatthiyaphaibun <wannaphong@yahoo.com> using Weblate (Thai) - 68.6% (68 of 99 strings)
  * Translated by Adria <adriamartinmor@gmail.com> using Weblate (Sardinian) - 100.0% (99 of 99 strings)
  * Translated by Adria <adriamartinmor@gmail.com> using Weblate (Sardinian) - 100.0% (99 of 99 strings)
  * Translated by Daniel Frost <one@frostinfo.de> using Weblate (German) - 100.0% (99 of 99 strings)
  * Translated by Lundrin <berenyi.vilmos@tutanota.com> using Weblate (Hungarian) - 94.9% (94 of 99 strings)
  * Translated by Герман Семенов <GermanAizek@yandex.ru> using Weblate (Russian) - 100.0% (99 of 99 strings)
  * Translated by Ivo Xavier <ivofernandes12@gmail.com> using Weblate (Portuguese) - 100.0% (99 of 99 strings)
  * Translated by Behzad <behzadasbahi@gmail.com> using Weblate (Persian) - 100.0% (99 of 99 strings)
  * Translated by HEROBRINE7GAMER <tapermeerkat77@gmail.com> using Weblate (Arabic) - 98.9% (98 of 99 strings)
  * Translated by ប៉ុកណូ រ៉ូយ៉ាល់ <poknoroyal@outlook.com> using Weblate (Central Khmer) - 36.3% (36 of 99 strings)
  * Translated by ប៉ុកណូ រ៉ូយ៉ាល់ <poknoroyal@outlook.com> using Weblate (Central Khmer) - 48.4% (48 of 99 strings)
  * Translated by P.-H. Lin <cypressyew@gmail.com> using Weblate (Chinese (Traditional)) - 100.0% (99 of 99 strings)
  * Translated by creepen123 <eg.ermakov2016@gmail.com> using Weblate (Russian) - 100.0% (99 of 99 strings)
  * Translated by Adolfo Jayme Barrientos <fitojb@ubuntu.com> using Weblate (Spanish) - 100.0% (99 of 99 strings)
  * Translated by Heimen Stoffels <vistausss@fastmail.com> using Weblate (Dutch) - 100.0% (99 of 99 strings)
  * Added translation using Weblate (Kurdish (Southern))
  * Added translation using Weblate (Kurdish (Northern))
  * Added translation using Weblate (Georgian)
  * Added translation using Weblate (Dhivehi)
  * Added translation using Weblate (Maori)
  * Added translation using Weblate (Pashto)
  * Added translation using Weblate (English (Canada))
  * Added translation using Weblate (Macedonian)
  * Added translation using Weblate (Friulian)
  * Added translation using Weblate (Turkmen)
  * Added translation using Weblate (Nyanja)
  * Added translation using Weblate (Bemba)
  * Added translation using Weblate (Oromo)
  * Added translation using Weblate (Lingala)
  * Added translation using Weblate (Lojban)
  * Added translation using Weblate (Tajik)
  * Added translation using Weblate (French (Switzerland))
  * Added translation using Weblate (Luxembourgish)
  * Added translation using Weblate (Malagasy)
  * Added translation using Weblate (Pampanga)
  * Added translation using Weblate (Kabyle)
  * Added translation using Weblate (Sindhi)
  * Added translation using Weblate (Franco-Provençal)
  * Added translation using Weblate (Scots)
  * Added translation using Weblate (Ido)
  * Added translation using Weblate (Tetum)
  * Added translation using Weblate (Urdu)
  * Added translation using Weblate (Chinese (Traditional, Hong Kong))
  * Added translation using Weblate (Sanskrit)
  * Added translation using Weblate (Irish)
  * Added translation using Weblate (Estonian)
  * Added translation using Weblate (Bengali)
  * Added translation using Weblate (Occitan)
  * Added translation using Weblate (Odia)
  * Added translation using Weblate (Vietnamese)
  * Added translation using Weblate (Marathi)
  * Added translation using Weblate (Afrikaans)
  * Added translation using Weblate (Swahili)
  * Added translation using Weblate (Interlingua)
  * Added translation using Weblate (Norwegian Nynorsk)
  * Added translation using Weblate (Nepali)
  * Added translation using Weblate (Faroese)
  * Added translation using Weblate (Kazakh)
  * Added translation using Weblate (Kannada)
  * Added translation using Weblate (Sotho (Southern))
  * Added translation using Weblate (Kurdish)
  * Added translation using Weblate (Kyrgyz)
  * Added translation using Weblate (Uzbek)
  * Added translation using Weblate (Kurdish (Central))
  * Added translation using Weblate (Wolof)
  * Added translation using Weblate (Chechen)
  * Added translation using Weblate (Corsican)
  * Added translation using Weblate (Manx)
  * Added translation using Weblate (Xhosa)
  * Added translation using Weblate (Latin)
  * Added translation using Weblate (Haitian)
  * Added translation using Weblate (German (Walser))
  * Added translation using Weblate (Tibetan)
  * Added translation using Weblate (Italian (it_CARES))
  * Added translation using Weblate (Tatar)
  * Added translation using Weblate (Tigrinya)
  * Added translation using Weblate (Filipino)
  * Added translation using Weblate (Aragonese)
  * Added translation using Weblate (Kashubian)
  * Added translation using Weblate (Frisian)
  * Added translation using Weblate (Cornish)
  * Added translation using Weblate (Assamese)
  * Added translation using Weblate (Greenlandic)
  * Added translation using Weblate (Sami (Northern))
  * Added translation using Weblate (Ossetian)
  * Added translation using Weblate (Venetian)
  * Added translation using Weblate (Silesian)
  * Added translation using Weblate (Chuvash)
  * Added translation using Weblate (Crimean Tatar)
  * Added translation using Weblate (Meadow Mari)
  * Added translation using Weblate (Tamil (Sri Lanka))
  * Added translation using Weblate (Chinese (Simplified) (zh_LATN@pinyin))

  [ Lundrin ]
  * Translated using Weblate (Hungarian)
  * Translated using Weblate (Hungarian)

  [ Império Linux ]
  * Translated using Weblate (Portuguese (Brazil))

  [ Allan Nordhøy ]
  * Translated using Weblate (Norwegian Bokmål)
  * Translated using Weblate (Norwegian Bokmål)
  * Translated by Allan Nordhøy <epost@anotheragency.no> using Weblate (Norwegian Bokmål) - 100.0% (99 of 99 strings)
  * Translated using Weblate (Norwegian Bokmål)
  * Translated using Weblate (Norwegian Bokmål)
  * Translated using Weblate (Norwegian Bokmål)
  * Translated using Weblate (Telugu)
  * Translated using Weblate (Norwegian Bokmål)

  [ NPL ]
  * Translated using Weblate (Japanese)
  * Translated using Weblate (Japanese)

  [ Abdullah AL Shohag ]
  * Translated using Weblate (Bengali (Bangladesh))

  [ Jimmy Lejeune ]
  * Translated using Weblate (French)

  [ abidin toumi ]
  * Translated using Weblate (Arabic)

  [ Rudra Harsh V.Singh ]
  * Translated using Weblate (English (Canada))
  * Translated using Weblate (Sanskrit)

  [ Lionel Duboeuf ]
  * Translated using Weblate (French)

  [ Lu Xu ]
  * Translated using Weblate (Chinese (Simplified))

  [ Temuri Doghonadze ]
  * Translated using Weblate (Georgian)

  [ Sylke Vicious ]
  * Translated using Weblate (Italian)
  * Translated using Weblate (Italian)

  [ Taisei Washington ]
  * Translated using Weblate (Japanese)

  [ Luna Jernberg ]
  * Translated using Weblate (Swedish)

  [ Adolfo Jayme Barrientos ]
  * Translated by Adolfo Jayme Barrientos <fitojb@ubuntu.com> using Weblate (Spanish) - 100.0% (99 of 99 strings)
  * Translated using Weblate (Spanish)

  [ gnu-ewm ]
  * Translated using Weblate (Polish)
  * Translated using Weblate (Polish)

  [ Sergii Horichenko ]
  * Translated using Weblate (Russian)
  * Translated using Weblate (Russian)
  * Translated using Weblate (Ukrainian)
  * Translated using Weblate (Ukrainian)

  [ Daniel Frost ]
  * Translated using Weblate (German)
  * update clickable to use builder keyword and minimum version
  * Translated using Weblate (German)
  * Translated using Weblate (German)

  [ Dan ]
  * Translated using Weblate (Ukrainian)
  * Translated using Weblate (Ukrainian)

  [ Florian Leeber ]
  * Merge pull request #4 from dark-eye/cmake_git_support
  * Merge pull request #5 from ubports-weblate/weblate-ubports-camera-app
  * Merge pull request #6 from dark-eye/camera_app_2
  * Merge branch 'master' into weblate-ubports-camera-app
  * Merge pull request #9 from ubports-weblate/weblate-ubports-camera-app
  * Merge pull request #11 from dark-eye/master
  * Fixing dangling commit markers
  * Fix dangling commit markers
  * Fix dangling commit markers
  * Fix dangling commit markers
  * Merge pull request #20 from ubports-weblate/weblate-ubports-camera-app
  * Translated using Weblate (German)
  * Merge pull request #21 from dark-eye/master
  * Merge pull request #25 from ubports-weblate/weblate-ubports-camera-app
  * Merge pull request #17 from dark-eye/camera_app_13
  * Translated using Weblate (German)
  * Merge pull request #26 from ubports-weblate/weblate-ubports-camera-app
  * Translated using Weblate (German)
  * Merge pull request #33 from dark-eye/camera_app_22
  * Translated using Weblate (English (United Kingdom))
  * Merge pull request #37 from dark-eye/camera_app_36
  * Add Jenkinsfile for CI
  * Merge pull request #38 from mateosalta/screenFlash
  * Update Jenkinsfile for latest changes to CI
  * Updated Jenkinsfile
  * Merge pull request #45 from ubports-weblate/weblate-ubports-camera-app
  * Merge pull request #46 from ubports-weblate/weblate-ubports-camera-app
  * Translated using Weblate (English (United Kingdom))
  * Merge pull request #50 from dark-eye/camera_app_49
  * Merge pull request #54 from ubports-weblate/weblate-ubports-camera-app
  * Merge pull request #55 from ubports-weblate/weblate-ubports-camera-app
  * Merge pull request #66 from dark-eye/camera_app_65
  * Merge pull request #70 from ubports-weblate/weblate-ubports-camera-app
  * Merge pull request #71 from ubports/clickable_xenial
  * Merge pull request #69 from dark-eye/camera_app_53
  * Merge pull request #82 from ubports/maintainer
  * Merge pull request #97 from ubports-weblate/weblate-ubports-camera-app
  * Merge pull request #99 from ubports/dark-eye-patch-1
  * Merge pull request #102 from dark-eye/issue_100
  * Merge pull request #104 from ubports-weblate/weblate-ubports-camera-app
  * Merge pull request #105 from ubports-weblate/weblate-ubports-camera-app
  * Merge pull request #106 from ubports-weblate/weblate-ubports-camera-app
  * Merge pull request #107 from ubports-weblate/weblate-ubports-camera-app
  * Merge pull request #108 from ubports-weblate/weblate-ubports-camera-app
  * Merge pull request #110 from ubports-weblate/weblate-ubports-camera-app
  * Merge pull request #111 from ubports-weblate/weblate-ubports-camera-app
  * Merge pull request #115 from ubports-weblate/weblate-ubports-camera-app
  * Merge pull request #117 from ubports-weblate/weblate-ubports-camera-app
  * Translated using Weblate (German)
  * Merge branch 'stretched-screen-aspect-ratio' into 'master'
  * Merge branch 'fix_ci_multiple_changelogs' into 'master'
  * Merge branch 'update-readme' into 'master'
  * Merge branch 'fix_ci' into 'master'
  * Fix rotation
  * Upgrade QML imports

  [ Anonymous ]
  * Translated using Weblate (Asturian)
  * Translated using Weblate (Bulgarian)
  * Translated using Weblate (Valencian)
  * Translated using Weblate (English (United States))
  * Translated using Weblate (Icelandic)
  * Translated using Weblate (Lao)
  * Translated using Weblate (Malayalam)
  * Translated using Weblate (Burmese)
  * Translated using Weblate (Chinese (Min Nan))
  * Translated using Weblate (Shan)
  * Translated using Weblate (Sinhala)
  * Translated using Weblate (Telugu)
  * Translated using Weblate (Kurdish (Southern))
  * Translated using Weblate (Kurdish (Northern))
  * Translated using Weblate (Dhivehi)
  * Translated using Weblate (Maori)
  * Translated using Weblate (Pashto)
  * Translated using Weblate (Macedonian)
  * Translated using Weblate (Friulian)
  * Translated using Weblate (Turkmen)
  * Translated using Weblate (Nyanja)
  * Translated using Weblate (Bemba)
  * Translated using Weblate (Oromo)
  * Translated using Weblate (Lingala)
  * Translated using Weblate (Lojban)
  * Translated using Weblate (Tajik)
  * Translated using Weblate (French (Switzerland))
  * Translated using Weblate (Luxembourgish)
  * Translated using Weblate (Malagasy)
  * Translated using Weblate (Pampanga)
  * Translated using Weblate (Kabyle)
  * Translated using Weblate (Sindhi)
  * Translated using Weblate (Franco-Provençal)
  * Translated using Weblate (Scots)
  * Translated using Weblate (Ido)
  * Translated using Weblate (Tetum)
  * Translated using Weblate (Urdu)

  [ mateosalta ]
  * fix screen flash
  * change fullscreen logic
  * changes from review notes

  [ J. Lavoie ]
  * Translated using Weblate (German)
  * Translated using Weblate (French)
  * Translated using Weblate (Italian)
  * Translated using Weblate (French)
  * Translated using Weblate (French)

  [ Oğuz Ersen ]
  * Translated using Weblate (Turkish)

  [ Denham McLaren ]
  * Translated using Weblate (English (Australia))

  [ mr-awk ]
  * fix wrong artifact paths

  [ Marcus Fredlund ]
  * Fix CI pipeline publishing multiple change log messages to OpenStore
  * Updated format of Readme

  [ Marius Gripsgard ]
  * Add Jenkinsfile
  * Fix qml files not found on qt5.9
  * Merge branch 'master' of github.com:ubports/camera-app
  * Fix icon on deb builds
  * Trigger webhook
  * Bump version
  * Use constexpt and c++11
  * Merge branch 'master' into remove_automatic_version_numbering
  * Merge pull request #83 from dark-eye/remove_automatic_version_numbering
  * Build for arm64
  * Merge branch 'arm64' into 'master'
  * Add deployment of arm64 
  * Merge branch 'sensors-policy' into 'master'
  * Release: v3.2.3

  [ Rodney ]
  * Merge branch 'fix-zoom' into 'master'
  * Merge branch 'new-release' into 'master'
  * Merge branch 'fix-video-start' into 'master'

  [ Rodney Dawes ]
  * Work around MouseArea being parented under flickable.contentItem
  * Replace secondary MouseArea with positional tap check
  * Release v3.2.1
  * Release 3.2.1.1
  * Use correct variable for video file URL
  * Release v3.2.2

  [ Brian Douglass ]
  * Merge pull request #119 from ubports-weblate/weblate-ubports-camera-app
  * Added gitlab ci
  * Removed old clickable config properties
  * Updated gitlab ci to use commit messages for the changelog
  * Merge branch 'master' of gitlab.com:ubports/apps/camera-app
  * Updated gitlab configs
  * Added ci build for amd64
  * Merge branch 'gst-droid' into 'master'
  * v3.2.0

  [ Jami Kettunen ]
  * Stop preferring screen aspect ratio on devices with stretched displays

  [ P.-H. Lin ]
  * Translated using Weblate (Chinese (Traditional))
  * Update the term in ViewFinderOverlay.qml
  * Translated using Weblate (Chinese (Traditional))
  * Translated by P.-H. Lin <cypressyew@gmail.com> using Weblate (Chinese (Traditional)) - 100.0% (99 of 99 strings)

  [ Eran ]
  * Translated using Weblate (Hebrew)
  * Translated using Weblate (Hebrew)
  * Translated using Weblate (Hebrew)
  * Translated using Weblate (Hebrew)
  * Translated using Weblate (Hebrew)
  * Translated using Weblate (Hebrew)
  * Translated using Weblate (Hebrew)
  * Merge pull request #59 from Cypresslin/trival-term-fix
  * Camera App #60 : fix for encoding quality selection has no affect (#64)
  * Merge pull request #67 from dark-eye/layout_design_changes
  * Issue #63 : Added vibrate option to image capture button (#72)
  * Issue #80 : Fix for title of the application untranslatable  (#84)
  * Create PULL_REQUEST_TEMPLATE.md
  * Merge branch 'fix' into 'master'
  * Merge branch 'proper-camera-orientation-support-v2' into 'master'
  * Merge branch 'master' into 'master'
  * Merge branch 'issue_112_only' into 'v_3_1_1'
  * Merge branch 'issue_79' into 'v_3_1_1'
  * Merge branch 'issue_125' into 'v_3_1_1'
  * Translated using Weblate (Hebrew)
  * Merge branch 'v_3_1_1' into 'v_3_1_1'
  * v3.1.1 :
  * Translated using Weblate (Hebrew)
  * Translated using Weblate (Hebrew)
  * Merge branch 'master' into 'v3_1_2'
  * Merge branch 'issue_138' into 'v3_1_2'
  * Merge branch 'issue_131' into 'v3_1_2'
  * Merge branch 'issue_132' into 'v3_1_2'
  * Merge branch 'master' into 'v3_1_2'
  * Merge branch 'master' into 'v3_1_2'
  * Merge branch 'fix-contenthub' into 'v3_1_2'
  * Merge branch 'v3_1_2' into 'v3_1_2'
  * Merge branch 'issue_147' into 'v3_1_2'
  * Merge branch 'v3_1_2' into 'v3_1_2'
  * Merge branch 'arm64' into 'master'
  * Merge branch 'v3_1_2' into 'master'
  * Merge branch 'fix-exif-flash' into 'master'
  * Merge branch 'accurate-focus-point' into 'master'
  * Merge branch 'master' into 'v3_1_3'
  * Merge branch 'cibersheep_camera-app-UITweaks_MR_to_v3_1_3' into 'v3_1_3'
  * Merge branch 'master' into 'v3_1_3'
  * v3.1.3 :
  * Merge branch 'v3_1_3' into 'master'
  * Merge branch 'gitignore' into 'master'
  * Merge branch 'parentid' into 'master'
  * Merge branch 'fixtypo' into 'master'
  * Merge branch 'clickable' into 'master'
  * Merge branch 'config-updates' into 'master'
  * Merge branch 'amd64-build' into 'master'
  * Merge branch 'issue_150' into 'master'
  * Merge branch 'nosoundicon' into 'master'
  * Merge branch 'NewSplash' into 'master'

  [ Rüdiger Kupper ]
  * Translated using Weblate (German)
  * Translated using Weblate (German)
  * Translated by Rüdiger Kupper <ruediger.kupper+launchpad@gmail.com> using Weblate (German) - 100.0% (99 of 99 strings)

  [ tamer dab ]
  * Translated by tamer dab <dabsantamer@yahoo.com> using Weblate (Hebrew) - 97.9% (97 of 99 strings)
  * Translated by tamer dab <dabsantamer@yahoo.com> using Weblate (Hebrew) - 100.0% (99 of 99 strings)

  [ Dmitriy Krivtsov ]
  * Translated by Dmitriy Krivtsov <dmitrek@mail.ru> using Weblate (Russian) - 100.0% (99 of 99 strings)

  [ Milan Korecký ]
  * Translated using Weblate (Czech)
  * Translated using Weblate (Czech)
  * Translated using Weblate (Czech)
  * Translated using Weblate (Czech)
  * Translated using Weblate (Czech)
  * Translated using Weblate (Czech)
  * Translated using Weblate (Czech)
  * Translated using Weblate (Czech)
  * Translated using Weblate (Czech)
  * Translated using Weblate (Czech)
  * Translated using Weblate (Czech)
  * Translated using Weblate (Czech)
  * Translated using Weblate (Czech)
  * Translated using Weblate (Czech)
  * Translated using Weblate (Czech)
  * Translated using Weblate (Czech)
  * Translated by Milan Korecký <milan.korecky@gmail.com> using Weblate (Czech) - 100.0% (99 of 99 strings)

  [ Samson ]
  * Translated using Weblate (Amharic)
  * Translated using Weblate (Amharic)
  * Translated using Weblate (Amharic)
  * Translated using Weblate (Amharic)
  * Translated by Samson <sambelet@yahoo.com> using Weblate (Amharic) - 97.9% (97 of 99 strings)
  * Translated by Samson <sambelet@yahoo.com> using Weblate (Amharic) - 100.0% (99 of 99 strings)

  [ Arvid Brodin ]
  * Translated by Arvid Brodin <arvidb@fripost.org> using Weblate (Swedish) - 83.8% (83 of 99 strings)

  [ Efstathios Iosifidis ]
  * Translated by Efstathios Iosifidis <iefstathios@gmail.com> using Weblate (Greek) - 100.0% (99 of 99 strings)

  [ dark-eye ]
  * v3.1.0
  * Issue #112 : reduced memory requirements
  * Issue #79 : fix for metadata loss on datestamp application to images
  * Issue #79 : removed unneded debug line
  * Advanced the version to v3.1.1
  * MID DEV: moved info/settings to gallery didn't delete from  preview yet
  * Issue #131 : MID DEV - moving the info/settings pages
  * Issue #131 : removed advanced options / info from the preview overlay
  * Issue #131 : Ux fixes and theme matching
  * Issue #131 : Made  the overlayt alittle more opaque
  * Issue #131 : removed unneeded signal
  * Issue #132 : Fixed orientation logic to be complient with the standard
  * Issue #138 : Fix for missing import 'UbuntuAniumation'
  * Increased version number to 3.1.2
  * Change log updated (v3.1.2)
  * Updated change log
  * issue #150 : WIP - making the snap work
  * Merging cibersheep/camera-app-UITweaks localy to v3.1.3
  * Design Fixes to the UITeeaks MR
  * Updated version number to v3.1.3
  * Issue #150 : Updated some of the  documentation
  * Some updates to the snap packaging
  * Issue #150 : Fixed a typo in the  HACKING readme

  [ satriocode ]
  * Translated by satriocode <satrioismail52@gmail.com> using Weblate (Indonesian) - 100.0% (99 of 99 strings)

  [ dano6 ]
  * Translated using Weblate (Slovak)
  * Translated using Weblate (Slovak)
  * Translated using Weblate (Slovak)
  * Translated by dano6 <dano.kutka@gmail.com> using Weblate (Slovak) - 100.0% (99 of 99 strings)

  [ anonymous ]
  * Translated using Weblate (Armenian)
  * Translated by anonymous <noreply@weblate.org> using Weblate (Portuguese (Brazil)) - 100.0% (99 of 99 strings)

  [ Young Kim ]
  * Translated by Young Kim <rsyh93@gmail.com> using Weblate (Korean) - 26.2% (26 of 99 strings)
  * Translated by Young Kim <rsyh93@gmail.com> using Weblate (Korean) - 26.2% (26 of 99 strings)
  * Translated by Young Kim <rsyh93@gmail.com> using Weblate (Korean) - 27.2% (27 of 99 strings)
  * Translated by Young Kim <rsyh93@gmail.com> using Weblate (Korean) - 28.2% (28 of 99 strings)

  [ Josué ]
  * Translated using Weblate (Spanish)

  [ pietre ]
  * Translated using Weblate (Spanish)

  [ Max Libre ]
  * Translated using Weblate (French)

  [ Tigran Khachatryan ]
  * Translated using Weblate (Armenian)
  * Translated using Weblate (Armenian)
  * Translated using Weblate (Armenian)
  * Translated using Weblate (Armenian)
  * Translated using Weblate (Armenian)

  [ Stoian Minaiev ]
  * Translated using Weblate (Ukrainian)

  [ PPNplus ]
  * Translated using Weblate (Thai)

  [ Somnuk Limsiroratana ]
  * Translated using Weblate (Thai)

  [ Pavel Borecki ]
  * Translated using Weblate (Czech)
  * Translated using Weblate (Czech)
  * Translated using Weblate (Czech)

  [ Ryan Argente ]
  * Translated using Weblate (French (Canada))
  * Translated using Weblate (French (Canada))
  * Translated using Weblate (French (Canada))
  * Translated using Weblate (French (Canada))
  * Translated using Weblate (French (Canada))

  [ Ville Vainionpaa ]
  * Translated using Weblate (Finnish)

  [ Junoš Lukan ]
  * Translated using Weblate (Slovenian)

  [ Neutrum N ]
  * Translated using Weblate (Galicisch)
  * Translated using Weblate (Galician)
  * Translated using Weblate (Galician)
  * Translated using Weblate (Galician)
  * Translated using Weblate (Galician)

  [ Riccardo Riccio ]
  * Translated using Weblate (Slovenian)

  [ Rondy Andersson ]
  * Translated using Weblate (Schwedisch)
  * Translated using Weblate (Swedish)
  * Translated using Weblate (Swedish)

  [ HSN80 ]
  * Translated using Weblate (Persian)
  * Translated using Weblate (Persian)

  [ Oi Suomi On! ]
  * Translated using Weblate (Finnish)

  [ Eran Uzan ]
  * Changed the make scripts to support git VCS
  * Added checks incase the selected index is the options model
  * Decressed Some more warnings
  * Fixed an error that caused a shader to be done on a null source (camera-app #22)
  * Made the capture button only  work  when the bottomedge is fully down
  * Updated the information page version number
  * Camera App #34 : added a link in the picture stream to go directly to the gallery app
  * Removed unneed comment
  * Merge branch 'camera_app_34' of github.com:dark-eye/camera-app into camera_app_34
  * Improvment to the grid view to picture view transition and back
  * Camera App #35 : Add Adjustable image size in the photo roll using pinch gesture
  * Added bottomedge action to slideshow (single image view)
  * Camera App #35 : Fix to only cache sucessfuly loaded images
  * Camera App #2 : Fix for datestamp redndering exciding the image boundaries
  * Removed trailing spaces and unneeded comments
  * Blurred the to header background of the photo roll
  * Changed the design of the bottom edge (back to phot roll) a litte  to fit better with the overall design
  * Changed the maintainer to point to ubports
  * Disabled the  overlay blur from the header as there were issues with it.
  * Made resize and item centering animated and smoother
  * Moved the gallery link into the action drawer
  * Merge branch 'master' of github.com:dark-eye/camera-app
  * commented out the Information version number until I`ll found how to do it programatically
  * Camera App #49 : Fix for different sizes to date stamp
  * Moved action button advanced options/about to the top right to match the rest ofthe system apps
  * Fixed the shooting controls  to quick options fade / cleaned the new advanced options button desing alittle
  * Fix for the options overlay orientation check to support upside down orientation
  * Camera App #65 : added basic media information display
  * Camera App #53 : Initial implementation of customized date stamp
  * Camera App #53 : added stamp alignment icons
  * Camera App #53 : Added date format explanation pop over when editing the date format
  * Some design cleanup
  * Switched the foramt explaination to listview and made simpler
  * Merge branch 'master' into camera_app_53
  * Camera App #52 : Changed the full screen overlays to "Page" components
  * Camera app #53 : added minimum/maximum text size to the stamp as very long stamp can become too small or too large trying to fit 3rd of an image
  * Camera App #53 : cleaned up the code to prevent complier warnnings
  * Fixed issue that  made it possible to swipe to photo roll  while advance setting is open
  * Some UX tweaks to the datestamp customization
  * Camera App #53 : added vibrate on picture shot
  * Reverted commit that shuold have gone to issue_63 branch
  * Camera App #53 : reduced the margins of the full screen pages to account for smaller screens
  * Camera App #53 : Aligned the date stamp setting input fields to each other
  * Camera App #53 : fix for duplicate stamp color in the setting color selector
  * Camera App #53 Fix for curropted images if view in the middle of the post-processing
  * Updated the translation file
  * Remove the automatic increment of the version numbers based on a VCS revisions
  * issue#123 : some initial refactoring to async load some parts of the UI
  * Issue #125 : added optional overlay blur
  * issue #125 : removed animation as it isn't used by default
  * Merge branch 'master' into issue_125
  * UI tweaks  (Better blur/theme support for gallery/...)
  * Issue #125 : Added an option to only blur the photo preview overlay
  * Issue #147 : Fixes for issues  arised  when  checking  v3.1.2 release with the telegram QA group

  [ Ege Öz ]
  * Translated using Weblate (Turkish)
  * Translated using Weblate (Turkish)

  [ Alexander Dzyuba ]
  * Translated using Weblate (Ukrainian)

  [ Sami Törmänen ]
  * Translated using Weblate (Finnish)
  * Translated using Weblate (Finnish)
  * Translated using Weblate (Finnish)

  [ Moo ]
  * Added translation using Weblate (Lithuanian)
  * Translated using Weblate (Lithuanian)
  * Translated using Weblate (Lithuanian)
  * Translated using Weblate (Lithuanian)
  * Translated using Weblate (Lithuanian)
  * Translated using Weblate (Lithuanian)

  [ M.Sugahara ]
  * Translated using Weblate (Japanese)
  * Translated using Weblate (Japanese)
  * Translated using Weblate (Japanese)
  * Translated using Weblate (Japanese)

  [ Michele Giacomoli ]
  * Translated using Weblate (Italian)

  [ enolp ]
  * Translated using Weblate (Asturian)
  * Translated using Weblate (Asturian)

  [ Henrik Holm ]
  * Translated using Weblate (Danish)
  * Translated using Weblate (Danish)
  * Translated using Weblate (Danish)
  * Translated using Weblate (Danish)
  * Translated using Weblate (Danish)

  [ advocatux ]
  * Translated using Weblate (English (United Kingdom))
  * Translated using Weblate (Spanish)
  * Translated using Weblate (Spanish)
  * Translated using Weblate (Spanish)
  * Translated using Weblate (Spanish)
  * Translated using Weblate (Spanish)
  * Translated using Weblate (English (United Kingdom))
  * Translated using Weblate (Spanish)
  * Translated using Weblate (Spanish)
  * Translated using Weblate (Spanish)
  * Translated using Weblate (Spanish)

  [ Daniel Frańczak ]
  * Translated using Weblate (Polish)
  * Translated using Weblate (Polish)
  * Translated using Weblate (Polish)
  * Translated using Weblate (Polish)
  * Translated using Weblate (Polish)

  [ Michael Bauer ]
  * Translated using Weblate (Gaelic)

  [ Yasser Lotfy ]
  * Translated using Weblate (Arabic)

  [ Moshe Lazar ]
  * Translated using Weblate (Russian)

  [ Aitzol Berasategi ]
  * Translated using Weblate (Basque)
  * Translated using Weblate (Basque)

  [ lxdb ]
  * Translated using Weblate (English (United States))
  * Translated using Weblate (Russian)

  [ FlavioMala ]
  * Translated using Weblate (Italian)

  [ louies0623 ]
  * Translated using Weblate (Japanese)
  * Translated using Weblate (Chinese (Traditional))
  * Translated using Weblate (Chinese (Hong Kong))
  * Translated using Weblate (Chinese (Hong Kong))

  [ Adrià ]
  * Added translation using Weblate (Sardinian)
  * Translated using Weblate (Sardinian)
  * Translated using Weblate (Sardinian)
  * Translated using Weblate (Sardinian)
  * Translated using Weblate (Sardinian)
  * Translated using Weblate (Sardinian)
  * Translated using Weblate (Sardinian)

  [ RedXXIII ]
  * Translated using Weblate (French)
  * Translated using Weblate (French)

  [ Aurelio Cilia ]
  * Translated using Weblate (Italian)
  * Translated using Weblate (Italian)

  [ Jonatan Hatakeyama Zeidler ]
  * Translated using Weblate (German)

  [ Vinícius F ]
  * Translated using Weblate (Portuguese (Brazil))

  [ 谭永乐 ]
  * Translated using Weblate (Chinese (Simplified))

  [ tongsj2333 ]
  * Translated using Weblate (Chinese (Simplified))

  [ Aashrut ]
  * Added translation using Weblate (Gujarati)
  * Translated using Weblate (Gujarati)

  [ Tom Dom ]
  * Translated using Weblate (Dutch)
  * Translated using Weblate (Dutch)

  [ maor26 ]
  * Translated using Weblate (Hebrew)

  [ Rúben Carneiro ]
  * Translated using Weblate (Portuguese)

  [ Anne Onyme ]
  * Translated using Weblate (French)
  * Translated using Weblate (French)
  * Translated using Weblate (French)

  [ Alexandre de Paula Bastos ]
  * Translated using Weblate (Portuguese)

  [ Hugh Y ]
  * Translated using Weblate (Chinese (Simplified))

  [ Anastopoulos Theocharis ]
  * Translated using Weblate (Greek)

  [ Pavel Zlámal ]
  * Fixed clickable build failing on translation error

  [ Ennio Lavagnini ]
  * Translated using Weblate (Italian)

  [ Jaume Angrill ]
  * Translated using Weblate (Catalan)

  [ Tom Rausner ]
  * Translated using Weblate (Danish)
  * Translated using Weblate (Danish)
  * Translated using Weblate (Danish)
  * Translated using Weblate (Danish)
  * Translated using Weblate (Danish)
  * Translated using Weblate (Danish)

  [ ierihon ]
  * Translated using Weblate (Russian)
  * Translated using Weblate (Belarusian)
  * Translated using Weblate (Belarusian)
  * Translated using Weblate (Russian)
  * Translated using Weblate (Belarusian)

  [ Dito Kurnia P ]
  * Translated using Weblate (Indonesian)

  [ Hussain Hashem Aljafri ]
  * Translated using Weblate (Arabic)

  [ Håkan Palm ]
  * Translated using Weblate (Swedish)

  [ Louies ]
  * Translated using Weblate (漢語（正體字）)
  * Translated using Weblate (Chinese (Traditional))
  * Translated using Weblate (Chinese (Traditional))
  * Translated using Weblate (Chinese (Traditional))
  * Translated using Weblate (Chinese (Hong Kong))
  * Translated using Weblate (Chinese (Traditional))
  * Added translation using Weblate (English (United States))

  [ P_E_T_O ]
  * Translated using Weblate (Slovak)
  * Translated using Weblate (Slovak)
  * Translated using Weblate (Slovak)

  [ Dmytro Gladkyi ]
  * Translated using Weblate (Ukrainian)

  [ Martin Kozub ]
  * Translated using Weblate (Czech)

  [ Nelly Simkova ]
  * Translated using Weblate (Russian)
  * Translated using Weblate (Russian)

  [ Sander ]
  * Translated using Weblate (Dutch)
  * Translated using Weblate (Dutch)
  * Translated using Weblate (Dutch)

  [ xqqy ]
  * Translated using Weblate (Chinese (Simplified))

  [ Tigran Kharatyan ]
  * Translated using Weblate (Armenian)

  [ SongInseo ]
  * Translated using Weblate (Koreanisch)

  [ ArashiHino ]
  * Translated using Weblate (Japanisch)

  [ wangyou ]
  * Translated using Weblate (Chinese (Simplified))
  * Translated using Weblate (Chinese (Simplified))
  * Translated using Weblate (Chinese (Simplified))
  * Translated using Weblate (Chinese (Simplified))
  * Translated using Weblate (Chinese (Simplified))
  * Translated using Weblate (Chinese (Simplified))

  [ DarkEye ]
  * Fix compilation error complaining on missing stdc++ linkage
  * Initial Implementation of camera-app #2
  * Made the date time stamp post process work asynchronously
  * Added advanced options that will house options that shouldn't be accessed quickly
  * Adjustments to the advanced options panel
  * Cleared trailing spaces
  * Updated translation files
  * Merge branch 'master' into camera_app_2
  * Matched the collors of the quick otions
  * Fixed possible issue when exporting images to other apps
  * Cahnged the aspect ratio/resolution option to support all available resolutions and not only the two highest
  * changed the MP to mp to take smaller screen space.
  * Trimed the quick option megapixel count to fit into the quick otion button
  * Removed uneeded paramemeter
  * Added scrolling to quick options
  * Fix to msgid typo ( camera-app #19 )
  * Reverted changes to the po file and added forgoten pot file
  * Added Scrolling hints and sorted the supported resolutions list by MP
  * Fixed  issue on orientation change when bottomedge is open
  * Removed uneeded change
  * Added information page at the bottom of the quick options (clock-app #12)
  * Added right/left margin to the information page.
  * Fix for Clock-app #36
  * Clenup and warnning suppression
  * Increased minor version to prepere for openstore release
  * Camera App #100 : changed the editor "save" button to match gallery

  [ ubports-weblate ]
  * Translated using Weblate (Italian) (#29)
  * Update from Weblate. (#30)
  * Update from Weblate. (#31)
  * Update from Weblate. (#58)
  * Update from Weblate. (#62)
  * Update from Weblate. (#73)
  * Update from Weblate. (#74)
  * Update from Weblate. (#76)
  * Translated using Weblate (Italian) (#78)
  * Update from Weblate. (#85)
  * Update from Weblate. (#86)
  * Update from Weblate. (#88)
  * Update from Weblate. (#89)
  * Translated using Weblate (Esperanto) (#90)
  * Update from Weblate. (#91)
  * Translated using Weblate (Hebrew) (#92)
  * Update from Weblate. (#93)
  * Update from Weblate. (#94)
  * Update from Weblate. (#96)

  [ Øjvind Fritjof Arnfred ]
  * Translated using Weblate (Danish)
  * Translated using Weblate (Danish)
  * Translated using Weblate (Danish)

  [ Ahmed Suliman ]
  * Translated using Weblate (Arabic)
  * Translated using Weblate (Arabic)
  * Translated using Weblate (Arabic)
  * Translated using Weblate (Arabic)

  [ Ernesst ]
  * Translated using Weblate (French)

  [ Joachim Lazaroms ]
  * Translated using Weblate (Dutch)

  [ Luo Yufan ]
  * Translated using Weblate (Chinese (Simplified))

  [ thanakit srisearmpok ]
  * Translated using Weblate (Thai)

  [ Mike ]
  * Translated using Weblate (Italian)

  [ Dalton Durst ]
  * Update maintainer

  [ Bjarne Roß ]
  * Added clickable file (xenial)
  * Damn, I need more coffee

  [ Matteo Mandis ]
  * Translated using Weblate (Sardinian)

  [ Joeke de Graaf ]
  * Translated using Weblate (Dutch)

  [ marcos lans ]
  * Translated using Weblate (Galician)

  [ Jan Sprinz ]
  * Merge pull request #27 from dark-eye/20170819_fixes
  * Merge pull request #28 from ubports-weblate/weblate-ubports-camera-app
  * Merge pull request #32 from dark-eye/camera_app_12
  * Removed unneccessary whitespace
  * Removed whitespace *again* ;)
  * Merge pull request #40 from dark-eye/camera_app_34
  * Merge pull request #52 from ubports-weblate/weblate-ubports-camera-app
  * Merge pull request #56 from ubports-weblate/weblate-ubports-camera-app

  [ Stefan ]
  * Translated using Weblate (Dutch)

  [ gogogogi ]
  * Translated using Weblate (Croatian)

  [ Ivan Semkin ]
  * Translated using Weblate (Russian)
  * Translated using Weblate (Russian)
  * Translated using Weblate (Russian)
  * Translated using Weblate (Russian)

  [ hensip ]
  * Translated using Weblate (Galician)

  [ ubports_arabic ]
  * Translated using Weblate (Arabic)

  [ Noock ]
  * Translated using Weblate (Portuguese (Brazil))

  [ Mutse Young ]
  * Translated using Weblate (Chinese (Simplified))
  * Translated using Weblate (Chinese (Simplified))
  * Translated using Weblate (Chinese (Simplified))

  [ Johannes Ledermüller ]
  * Translated using Weblate (German)

  [ Peter Nerlich ]
  * Translated using Weblate (German)
  * Translated using Weblate (German)
  * Translated using Weblate (German)

  [ qutghan ]
  * Translated using Weblate (Uighur)
  * Translated using Weblate (Uighur)

  [ Arda Canbolat ]
  * Translated using Weblate (Turkish)
  * Translated using Weblate (Turkish)
  * Translated using Weblate (Turkish)

  [ Rudi ]
  * Translated using Weblate (German)

  [ Flohack74 ]
  * Updating Debian build files

  [ Weblate Admin ]
  * Translated using Weblate (German)
  * Translated using Weblate (German)
  * Translated using Weblate (German)
  * Translated using Weblate (German)

  [ Alexey Balmashnov ]
  * Translated using Weblate (Russian)
  * Translated using Weblate (Russian)
  * Translated using Weblate (Russian)
  * Translated using Weblate (Russian)

  [ Stefano Melchior ]
  * Translated using Weblate (Italian)
  * Translated using Weblate (Catalan)
  * Translated using Weblate (Catalan)
  * Translated using Weblate (Catalan)
  * Translated using Weblate (Italian)

  [ Aayush Gupta ]
  * Translated using Weblate (Hindi)
  * Translated using Weblate (Hindi)

  [ Stefano Verzegnassi ]
  * Merge pull request #43 from dark-eye/ui_improvments
  * Merge pull request #42 from dark-eye/camera_app_2

  [ Pablo Foche ]
  * Translated using Weblate (Esperanto)
  * Translated using Weblate (Esperanto)

  [ Brînzariu Cristian ]
  * Translated using Weblate (Romanian)
  * Translated using Weblate (Romanian)
  * Translated using Weblate (Romanian)
  * Translated using Weblate (Romanian)
  * Translated using Weblate (Romanian)
  * Translated using Weblate (Romanian)

  [ Francisco Molinero ]
  * Translated using Weblate (Spanish)
  * Translated using Weblate (Spanish)
  * Translated using Weblate (Spanish)

  [ Jeff ]
  * Added translation using Weblate (Albanian)
  * Translated using Weblate (Albanian)
  * Translated using Weblate (Albanian)
  * Translated using Weblate (Albanian)
  * Translated using Weblate (Albanian)

  [ Philipp Leibelt ]
  * Translated using Weblate (German)
  * Translated using Weblate (German)

  [ Peter Valachovič ]
  * Translated using Weblate (Slovak)

  [ Beton ]
  * Translated using Weblate (Polish)

  [ t-h-e-p-e-t-e-r ]
  * Translated using Weblate (Slovak)
  * Translated using Weblate (Slovak)

  [ Reda ]
  * Translated using Weblate (French)

  [ Anne017 ]
  * Translated using Weblate (French)
  * Translated using Weblate (French)
  * Translated using Weblate (French)
  * Translated using Weblate (French)
  * Translated using Weblate (French)
  * Translated using Weblate (French)

  [ Walter Garcia-Fontes ]
  * Translated using Weblate (Catalan)
  * Translated using Weblate (Catalan)
  * Translated using Weblate (Catalan)
  * Translated using Weblate (Catalan)
  * Translated using Weblate (Catalan)
  * Translated using Weblate (Catalan)
  * Translated using Weblate (Catalan)
  * Translated using Weblate (Catalan)

  [ Gabriele ]
  * Translated using Weblate (Italian)

  [ František Tomajko ]
  * Translated using Weblate (Slovak)
  * Translated using Weblate (Slovak)

  [ Иван Панасюк ]
  * Translated using Weblate (Russian)
  * Translated using Weblate (Russian)

  [ Andrzej Stamburski ]
  * Translated using Weblate (Polish)
  * Translated using Weblate (Polish)
  * Translated using Weblate (Polish)

  [ dimitra ]
  * Translated using Weblate (Russian)

  [ Florian Boucault ]
  * Preliminary UI rewrite.
  * Improved visuals of header.
  * Implemented back from gallery view.
  * When using the bottom edge, disable switching to gallery view.
  * Disabled haptic feedback on the shutter button.
  * Always show last photo taken in slideshow.
  * Gallery grid view: tapping a photo opens it.
  * When going from slideshow view to grid view, reposition the grid view so that the current photo is visible.
  * Refactored Header.
  * Keep header when interacting with it.
  * Header autohide refinements.
  * Simpler header hiding behaviour.
  * Added pinch to zoom.
  * Removed dead code.
  * Added missing assets.
  * Added manual focus control.
  * Fixed spurious console output.
  * Only manual focus on tap, not on press.
  * Added zoom in/out in slideshow view.
  * Gallery view: preliminary share and delete.
  * Use ContentPeerPicker from Ubuntu.Content instead of online accounts directly.
  * Generic options overlay.
  * Fixed focus ring.
  * Fixed manual focus.
  * Make sure flash setting is reset upon front/back camera switch and going out and back in the camera app.
  * Added rotation support.
  * Removed deprecated code.
  * Save pictures to camera subfolder.
  * Get rid of unnecessary console warnings.
  * Do not load view if not visible.
  * Reverted previous commit.
  * Fixed deleting wrong pictures at times.
  * Fixed incorrect refactoring.
  * SlideshowView: do not break positioning when exiting to camera.
  * Much cheaper black background color.
  * Disable shoot button when impossible to take a picture. Rename ShootButton id to a more precise name.
  * Fixed error at deb generation: no .js found.
  * Refactored buttons from ViewFinderOverlay into separate classes.
  * Bumped version number to 3.0.0
  * FocusRing: use Animator for rotation animation.
  * Removed duplicated code.
  * Made autopilot tests pass.
  * Removed dev debugging prints.
  * Removed more dev debugging prints.
  * Added gallery switching autopilot tests.
  * Merged with trunk
  * Detailed debian/changelog.
  * Disabled buttons of unavailable features: video recording, HDR, location tagging.
  * Reenable installing autopilot tests.
  * Fixed weird indentation.
  * Added FIXME for header.
  * Fixed incorrect indentation of Actions.
  * Re-expose 'HUD' actions although with no handler.
  * Updated translation template.
  * Initialize m_cameraFlashControl to NULL. Fixes crash.
  * Added message when gallery is empty. Updated translation template.
  * Removed unnecessary installation of desktop file.
  * Fixed all pep8 and pyflakes warnings but 1 (for readability sake) from the autopilot test suite.
  * Merged with trunk.
  * Activate tap to focus even on desktop. Fixes corresponding autopilot test on desktop.
  * Fixed swipe to gallery autopilot test.
  * Added support for video recording.
  * Fixed StopWatch unit tests.
  * Fixed autopilot test: test_gallery_view.
  * Added relevant apparmor permissions.
  * Slideshow: swipe one picture at a time.
  * Less sensitive to play videos.
  * fix content-hub integration
  * fix content-hub integration properlyh
  * Fixed apparmor permissions once and for all.
  * Reverted merges advertising as a content hub source.
  * Thumbnailer accepts full URLs.
  * After shooting a video, show it in gallery view.
  * Fixed autopilot tests camera_app.tests.test_gallery_view.TestCameraGalleryView both on desktop and on device.
  * Horizontal swipe a tad less sensitive.
  * AP test test_record_video made more reliable.
  * Redesign of the entire user interface. Highlights:
  * Enabled HDR feature:
  * Merged from trunk.
  * Define a custom ExposureMode for HDR.
  * Enabled HDR feature:
  * Enable GPS location saving into EXIF photo's metadata.
  * Merged trunk
  * Check altitude's validity. Do not constantly call positionSource.position.
  * Enable GPS location saving into EXIF photo's metadata. 
  * Photo roll:
  * Save state of viewfinder: preserve back/front mode, picture/video mode, flash, HDR and location settings.
  * Exit the options overlay upon tapping anywhere outside the buttons. It used to work relying on the behaviour of the toolkit's Panel but it recently changed under our feet (rev 1000.119.19 from lp:ubuntu-ui-toolkit).
  * Empty commit
  * Empty commit
  * Make sure all files are visible in QtCreator. No need for qmlproject.
  * Added autopilot test.
  * Sharing: make content type dynamic.
  * Photo roll: elide header title
  * Removed useless imports. Removed useless tearDown. Renamed class to make sense. Added FIXME.
  * Fixed Debian installer.
  * Save videos in a subfolder of ~/Videos
  * Save state of viewfinder: preserve back/front mode, picture/video mode, flash, HDR and location settings. Fixes: 1344274
  * Photo roll:
  * Exit the options overlay upon tapping anywhere outside the buttons.
  * Make sure all files are visible in QtCreator. No need for qmlproject. 
  * Photo roll: elide header title. Fixes: 1348645
  * Sharing: make content type dynamic. Fixes: 1337587
  * Save videos in a subfolder of ~/Videos Fixes: 1337594
  * Added export mode so that other apps can request pictures from the camera app.
  * Support single and multiple selections.
  * Simplified photo taking code.
  * Added confirmation UI.
  * Test for QStandardPaths::standardLocations return value.
  * Do not reset mediaPath.
  * Make sure everything else but the confirmation dialog is invisible.
  * Added export mode so that other apps can request pictures from the camera app. Fixes: 1311409
  * Fix deleting action not working in some common conditions by computing file path at the right moment. Applied same fix to sharing action.
  * Tagging bug
  * Photo roll header: swap label and icon to respect toolkit's behaviour.
  * Photo roll: added pinch to zoom.
  * Ensure video thumbnails are generated as soon as possible by monitoring changes to files themselves.
  * Removed debug
  * Photo roll header: swap label and icon to respect toolkit's behaviour. 
  * Photo roll: added pinch to zoom. Fixes: 1344277
  * Ensure video thumbnails are generated as soon as possible by monitoring changes to files themselves. Fixes: 1337593
  * Merged trunk
  * Fix deleting action not working in some common conditions by computing file path at the right moment. Applied same fix to sharing action. Fixes: 1350956, 1353441
  * Allow profiling by default if -qmljsdebugger is passed on the command line.
  * Asyncronous GalleryView.
  * Fix image loading.
  * Refactored OptionsOverlay.
  * Load OptionsOverlay asynchronously
  * Load OptionsOverlay asynchronously v2
  * Too async for your own good.
  * ViewFinderOverlay: asynchronous loading.
  * Cleaner way to use Loader.
  * Fade in overlay
  * Asynchronously load export confirmation dialog.
  * Empty commit
  * Significantly faster startup. Fixes: 1325001
  * Disable mode switching while recording videos.
  * Disable camera switching while recording videos.
  * Photo roll: more fine grained media folder monitoring as to properly forward deletions to the view. Workarounded a couple of Qt bugs related to snapMode SnapOneItem.
  * Do not allow switching to the camera roll while recording a video.
  * Rename application from 'camera' to 'com.ubuntu.camera' to make state saving work again. Seamlessly transition ~/Pictures/camera and ~/Videos/camera to new locations.
  * Remove the X-Ubuntu-Gettext-Domain from the .desktop file, which causes the click scope not to load the inline translations.
  * Align snapshot with viewfinder as to assure visual continuity in the transition from one to the other.
  * Added cancel button in content export mode.
  * Disable mode switching while recording videos. 
  * Disable camera switching while recording videos. Fixes: 1358302
  * Photo roll: more fine grained media folder monitoring as to properly forward deletions to the view. Workarounded a couple of Qt bugs related to snapMode SnapOneItem. Fixes: 1355407, 1358412, 1362276
  * Do not allow switching to the camera roll while recording a video. 
  * Rename application from 'camera' to 'com.ubuntu.camera' to make state saving work again. Seamlessly transition ~/Pictures/camera and ~/Videos/camera to new locations. Fixes: 1363112
  * Remove the X-Ubuntu-Gettext-Domain from the .desktop file, which causes the click scope not to load the inline translations. Fixes: 1325626
  * Align snapshot with viewfinder as to assure visual continuity in the transition from one to the other. Fixes: 1362822
  * Added cancel button in content export mode. Fixes: 1362823
  * Always go back to view finder when activating export mode.
  * Mark options strings for translation.
  * Always go back to view finder when activating export mode. Fixes: 1365121
  * Mark options strings for translation. Fixes: 1357022
  * Photo roll: fixed invocation of media player, use video:// instead of file:// url scheme.
  * Photo roll: fixed invocation of media player, use video:// instead of file:// url scheme. Fixes: 1375791
  * Photo roll's slideshow view: use the photo downscaled instead of the thumbnailer.
  * Empty commit
  * Photo roll's slideshow view: use the photo downscaled instead of the thumbnailer. Fixes: 1376767
  * Add a hint to the existence of the photo roll displayed the first time the user takes a photo.
  * Cover video case.
  * Update pot file.
  * Display message when no media present in photo roll.
  * [Autopilot] Do not stop/start the location service at the beginning of each test.
  * Removed unused helper.
  * Merged trunk
  * Fix case where photo roll hint is made unnecessary before ever being enabled/displayed.
  * Added autopilot test.
  * Merged photo_roll_hint branch
  * Added autopilot test.
  * Add a hint to the existence of the photo roll displayed the first time the user takes a photo. Fixes: 1368808
  * [Autopilot] Do not stop/start the location service at the beginning of each test. Fixes: 1380685
  * Display message when no media present in photo roll. Fixes: 1375270
  * Merged lp:~penk/camera-app/sdcard
  * Renamed locations to be more descriptive.
  * Added removableStoragePresent property
  * Added option to enable/disable SD card.
  * Adapt bottom edge settings screen.
  * Blurred viewfinder is now darker making bottom edge more readable.
  * Less opaque blur.
  * Merged trunk
  * Show/hide SD card option when an SD card is present/not present.
  * Update pot
  * Better backend code.
  * JPEG quality backend support.
  * Added UI to select encoding quality.
  * Merged bottom edge UI fixes from lp:~fboucault/camera-app/sdcard
  * Do not show quality in bottom edge indicators.
  * Use icon instead of Q
  * Better labels
  * Merged lp:~artmello/camera-app/camera-app-multi_selection
  * Disable sharing if more than one item is selected as no apps support sharing more than one media atm.
  * Merged lp:~artmello/camera-app/camera-app-self_timer
  * Properly completed merge of bottom edge UI fixes from lp:~fboucault/camera-app/sdcard
  * Options overlay: support for icons not part of the theme.
  * Indicators: support icon not from theme
  * Reverted code simplification leading to overlay not reappearing.
  * Removed unwanted write/read paths from apparmor profile.
  * Merged lp:~artmello/camera-app/camera-app-gridlines
  * Properly completed merge of bottom edge UI fixes from lp:~fboucault/camera-app/sdcard
  * Better icon.
  * Proper UI for grid lines.
  * Add support to multi selection on grid view when triggered by the user 
  * Add self timer controlled by a new settings option 
  * When in slideshow view and selection mode, make sure that actions correspond to the presently shown photo instead of to the current selection.
  * Fixed binding loop
  * Cancel timed shoot when going to photo roll.
  * Timed shoot only available for pictures for now
  * Timed shoot only available for pictures for now
  * Tapping anywhere during a timed shoot cancels it.
  * Supports video timed shoot properly now.
  * Added autopilot tests.
  * Fixed enum/int QML conflict
  * Merged from trunk
  * Fixed previous merge.
  * Added option to select encoding quality for photo capture (JPEG encoding quality). 
  * Merged from trunk
  * Merged from trunk
  * Add missing commits from merge in revision 428: Add support to multi selection on grid view when triggered by the user
  * Add missing commits from merge in revision 429: Add self timer controlled by a new settings option 
  * Merged from trunk
  * Merged from trunk
  * Center grid lines horizontally.
  * Do not display until we confirmed settings' value.
  * Merged from trunk
  * update pot
  * Added AP test
  * Listing bug
  * Better visuals
  * New option to select recording resolution in video mode.
  * Fix naming.
  * Explicitly tell QtCreator where the manifest is.
  * Store location even if no valid altitude was provided.
  * Video recording: support displaying more than 1 hour long video time.
  * Simplified code.
  * Explicitly tell QtCreator where the manifest is. 
  * Store location even if no valid altitude was provided. Fixes: #1396672
  * Video recording: support displaying more than 1 hour long video time. Fixes: #1398447
  * Add gridlines to the viewfinder controlled by a new settings option Fixes: #1368140
  * Added autopilot tests.
  * Merged from trunk
  * Merged from trunk
  * Add an option to save photos and videos to external SD card.
  * Added bug
  * Fixed merge of SD card support (lp:~fboucault/camera-app/sdcard)
  * Merged from trunk
  * Depend on final release of 14.10 framework (ubuntu-sdk-14.10) instead of dev version (ubuntu-sdk-14.10-dev2)
  * Added failing autopilot test
  * Set video resolution when switching cameras. Fixes failing AP test.
  * Disable bottom edge while recording.
  * Workaround for stretched videos: do not allow recording at 640x480 with the front camera. Ref.: https://bugs.launchpad.net/ubuntu/+source/libhybris/+bug/1408650
  * New option to select recording resolution in video mode. 
  * Depend on final release of 14.10 framework (ubuntu-sdk-14.10) instead of dev version (ubuntu-sdk-14.10-dev2) 
  * Do not retrieve thumbnails for the view that is not visible.
  * Image quality setting: set "Fine Quality" to the maximum quality. More appropriate user wise and fixes failing AP test.
  * Image quality setting: set "Fine Quality" to the maximum quality. More appropriate user wise and fixes failing AP test.
  * Merged from trunk
  * Added low space UX.
  * SD Card: use app specific subfolder of Videos and Pictures to read/write videos and pictures.
  * Asynchronously scan the filesystem for media. Fixes freeze at startup with huge amount of media.
  * Faster scanning.
  * Sorting is still important.
  * Reverted pointless change
  * Do not scan until FoldersModel is fully instantiated.
  * Clear model immediately when updating.
  * Vastly more efficient selectAll with large collections.
  * Fixed deletion bug.
  * Fixed issue where recording video on SD card prevents recording on internal storage later.
  * Do not monitor for added file anylonger, instead manually prepend new media files shot. Depends on fix in qtubuntu-camera https://code.launchpad.net/~fboucault/qtubuntu-camera/fix_video_location/+merge/247507
  * Significantly faster deletion of selected files.
  * Added feedback while media scanning is in progress.
  * Updated pot file.
  * Fixed autopilot tests.
  * Asynchronously scan the filesystem for media. Fixes freeze at startup with a huge amount of media.
  * SD Card: use app specific subfolder of Videos and Pictures to read/write videos and pictures. 
  * Fixed issue where recording video on SD card prevents recording on internal storage later. 
  * Merged from trunk
  * Fix case when pictures have been taken while the library is being scanned.
  * Improve thumbnail generation performance: do not retrieve thumbnails for the view that is not visible. 
  * Swiping quickly through photo roll no longer causes photos to zoom. Workaround for QTBUG-39332.
  * Swiping quickly through photo roll no longer causes photos to zoom. Workaround for QTBUG-39332. Fixes: #1400141
  * Click packaging: add autopilot tests dependencies.
  * Click packaging: add autopilot tests dependencies. Fixes: #1419022
  * Disable editing when the file is a video
  * Updated pot file
  * Show placeholder bottom edge hint when no option is set so that the user can always guess the existence of the bottom edge.
  * Fix photos/videos when shooting/recording with orientation lock on by not relying on the app orientation returned by unity8 but instead the device orientation itself.
  * Factored out BottomEdgeIndicators to make it testable and added automated regression test for bug fix.
  * Run tests with xvfb-run
  * Added xvfb to build dependencies
  * Reverted unrelated change.
  * Show placeholder bottom edge hint when no option is set so that the user can always guess the existence of the bottom edge. Fixes: #1365419
  * Fix photos/videos when shooting/recording with orientation lock on by not relying on the app orientation returned by unity8 but instead the device orientation itself. Fixes: #1422762, #1428272
  * Unit tests: make tst_BottomEdgeIndicators::test_options conditional on the presence of Qt5.4
  * Unit tests: make tst_BottomEdgeIndicators::test_options conditional on the presence of Qt5.4
  * Do not render camera when in photo roll and vice-versa.
  * Do not render camera when in photo roll and vice-versa.
  * Remove hardcoded actions in GalleryViewHeader to make it extensible.
  * Fixed warnings.
  * Set desktop file flags informing Unity that the camera app is doing its own content rotation when the device rotates.
  * Manually rotate/position depending on device orientation:
  * Tagged bug reports
  * Manually rotate countdown timer depending on device orientation.
  * Adapted autopilot test camera_app.tests.test_photo_editor.TestCameraPhotoEditorWithPhoto.test_editor_appears
  * Merged lp:~canonical-platform-qa/camera-app/fix1444170-flake8
  * More robust camera_app.tests.test_flash.TestCameraFlash.test_flash_hdr_mutually_exclusive
  * More appropriate bottom edge input area.
  * Remove hardcoded actions in GalleryViewHeader to make it extensible.
  * Set desktop file flags informing Unity that the camera app is doing its own content rotation when the device rotates.
  * Fix viewfinder short disappearance at startup.
  * Fix Python syntax errors E265 in autopilot tests.
  * Fix viewfinder short disappearance at startup.
  * New option for the user to choose between the maximum resolution the sensor allows or the resolution that fits the screen.
  * Added resolution workarounds.
  * Use the screen aspect ratio.
  * Migrated to using Ubuntu UI Toolkit version 1.3 only.
  * Switched to QtQuick 2.4 and QtQuick.Window 2.2
  * Switched to QtQuick 2.4 and QtQuick.Window 2.2
  * Switched to QtQuick 2.4 and QtQuick.Window 2.2
  * Tag bug
  * Fixed used of Theme
  * Migrated to using Ubuntu UI Toolkit version 1.3 only.
  * Reused Unity8's ResponsiveGridView in photo grid.
  * Fix viewfinder sizing. Resize window to follow viewfinder's aspect ratio.
  * Added missing properties
  * Reposition content appropriately when resizing window.
  * Fix viewfinder positioning properly.
  * Fix positionContentAtRatio in INVERTED_LANDSCAPE
  * Slideshow view: hiding the header closes the options menu.
  * Only use Screen.primaryOrientation returned at startup which is more indicative of the native orientation of the device.
  * Desktop convergence fixes:
  * Only use Screen.primaryOrientation returned at startup which is more indicative of the native orientation of the device.
  * Merged from trunk
  * Merged from trunk
  * Force rendering when the camera becomes active again. Workaround for bug #1516569
  * Simpler forced render
  * Proper fix avoiding divide by zero.
  * Avoid unfortunate division by zero that was breaking rendering silently. Fixes: #1516569
  * Merged trunk
  * Fix broken viewfinder's aspect ratio when setting its size multiple times quickly in sequence.
  * Merged with trunk
  * Always show the photo resolution selector even if only one is available.
  * Store a different photo resolution per camera (supports 2 cameras).
  * Removed debugging
  * Added FIXME
  * Bumping framework version required by the app.
  * Bumping framework version required by the app.
  * Reverted framework bumps
  * Dynamically show/hide the resolution options depending on the presence of framework ubuntu-sdk-15.04.3 (OTA9)
  * Add /usr/share/click/frameworks/ to apparmor read path so that available frameworks can be determined.
  * Merged from trunk
  * Use view switcher and view finder when appropriate instead of root Window.
  * Added missing bump of framework version to ubuntu-sdk-15.04.2 necessary since we migrated to Ubuntu UI Toolkit 1.3
  * Slideshow view: hiding the header closes the options menu. Fixes: #1494145
  * Merged with trunk
  * Bump security policy version to 1.3 to match framework's.
  * Merged with trunk
  * Added missing bump of framework version to ubuntu-sdk-15.04.2 necessary since we migrated to Ubuntu UI Toolkit 1.3
  * Merged with trunk
  * Merged staging
  * Reverted making the resolution options contingent on the presence of framework
  * New option for the user to choose between the maximum resolution the sensor allows or the resolution that fits the screen.
  * Bump framework version to ubuntu-sdk-15.04.3
  * Fix AP test camera_app.tests.test_capture.TestCapture.test_video_resolution_setting_switching_cameras: use selected resolution from current camera as expected resolution.
  * Fix AP test camera_app.tests.test_capture.TestCapture.test_video_resolution_setting_switching_cameras: use selected resolution from current camera as expected resolution.
  * AP tests: fix remaining 2 PEP8 failures.
  * AP tests: fix remaining 2 PEP8 failures.
  * Fixed incorrect assert
  * Removed faulty workaround for flash. Was breaking video torch when focusing.
  * Removed faulty workaround for flash. Was breaking video torch when focusing.
  * New release:
  * When in photo roll's grid mode, do not have the slideshow mode's ActivityIndicator running. Saves CPU.
  * When in photo roll, disable viewfinder. Saves CPU.
  * Merged from trunk
  * Do not show resolution option if it's lower than 50% than the maximum available resolution.
  * Added a comment
  * Only show fitting resolution option if it's greater than 50% of the maximum available resolution.
  * Fixed 2 CPU wasters:
  * Fix unwanted typo from previous commit
  * VideoReview: only show the ActivityIndicator when necessary.
  * Make sure that regardless of when HDR is enabled it will eventually be enabled in the backend.
  * Make sure that regardless of when HDR is enabled it will eventually be enabled in the backend.
  * Disable all controls while a photo is being saved.
  * Disable focus ring also
  * Disable all controls while a photo is being saved.
  * When unloading the camera stack, assume that no camera capture is in progress anymore.
  * When unloading the camera stack, assume that no camera capture is in progress anymore.
  * Revert disabling of viewfinder when switching to photo roll. Reactivating the viewfinder was blocking the UI for too long (800ms on the MX4).
  * Revert disabling of viewfinder when switching to photo roll. Reactivating the viewfinder was blocking the UI for too long (800ms on the MX4).
  * New release:
  * Update translations catalog (pot)
  * Merged from trunk
  * Merged from trunk
  * various fixes
  * Only use full screen in staged mode.
  * Bumped framework
  * Merged from staging
  * Do not crash if no QCameraExposureControl is available.
  * Added F11 and ESC keyboard handlers to respectively toggle fullscreen and exit fullscreen.
  * Better feedback for long processing (HDR)
  * Merged from staging
  * Do not crash if no QCameraExposureControl is available.
  * Merged from staging
  * Use hardcoded value for flag.
  * Added slideshow left/right keyboard navigation
  * Fix photo orientation issue by forwarding sensor orientation instead of trying to guess it again.
  * Only use full screen in staged mode.
  * Before setting a photo capture resolution, always checks it is included in the possible resolution options.
  * Before setting a photo capture resolution, always checks it is included in the possible resolution options.
  * Fix bottom edge mouse handling:
  * Fix bottom edge mouse handling:
  * Merged from trunk
  * Only use full screen in staged mode.
  * Reintroduce framework bump ubuntu-sdk-15.04.4
  * Reverted commit 642 'Only use full screen in staged mode.'
  * Merged from staging
  * Do not rely on the toolkit color palette where it does not make sense.
  * Migrated to Ubuntu.Content 1.3
  * Added AP test cases for bottom edge mouse handling fixes (revision 644).
  * Removed useless run_tests.sh script
  * Added AP test cases for bottom edge mouse handling fixes (revision 644).
  * Removed dead code
  * Add flake8 tests to unit tests
  * Removed flake8 from debian/rules
  * Add flake8 tests to unit tests
  * New release:
  * viewFinderView.captureMode can now be set before the camera is ready. Take advantage of that to fix bug #1545123
  * Merged from trunk
  * Only accept manual focus on points inside the viewfinder.
  * Disable controls and prevent navigation while a delayed/timed shoot is ongoing.
  * Only accept manual focus on points inside the viewfinder.
  * viewFinderView.captureMode can now be set before the camera is ready. Take advantage of that to fix bug #1545123
  * Disable controls and prevent navigation while a delayed/timed shoot is ongoing.
  * Make test_capture.TestCapture.test_picture_quality_setting robust by selecting only pictures.
  * Make camera_app.tests.test_focus.TestFocus.test_focus_valid_and_disappear robust by making sure focus is possible before tapping to focus.
  * Make camera_app.tests.test_focus.TestFocus.test_focus_valid_and_disappear robust by making sure focus is possible before tapping to focus.
  * Make test_capture.TestCapture.test_picture_quality_setting robust by selecting only pictures.
  * Only use full screen in staged mode.
  * Autopilot tests: do not sleep for 5 seconds at beginning of each test anymore
  * Autopilot tests: robust techniques to swipe between viewfinder and photo roll, and to swipe the bottom edge opened and closed.
  * Autopilot tests: do not sleep for 5 seconds at beginning of each test anymore
  * Reverted unwanted commit 669
  * Merged from staging
  * Reintroduced same changes.
  * Merged from staging
  * Flake fixes
  * Flake fixes
  * Autopilot tests: robust techniques to swipe between viewfinder and photo roll, and to swipe the bottom edge opened and closed.
  * Merged from trunk
  * Made more autopilot tests robust:
  * Made autopilot test more robust: camera_app.tests.test_focus.TestFocus.test_focus_valid_and_disappear
  * More robust autopilot test camera_app.tests.test_diskspace.TestCameraDiskSpace.test_critically_low_disk
  * Autopilot test setup: removed duplicated wait on window being visible.
  * Autopilot tests: made panel opening/closing more reliable.
  * More robust autopilot test camera_app.tests.test_flash.TestCameraFlash.test_cycle_video_flash
  * Autopilot tests: always remove configuration file before starting a test.
  * More robust autopilot test camera_app.tests.test_flash.TestCameraFlash.test_cycle_flash
  * More robust autopilot test test_video_resolution_setting_switching_cameras
  * Fixed flake8 issues.
  * Only use full screen in staged mode.
  * Fixed flake8 issues.
  * New release:
  * Merged from trunk
  * Reverted revision 637 that was causing a regression where the controls could not be opened in landscape orientation anymore.
  * Autopilot test stability fix: more clearance when testing focus on the edges
  * Autopilot test stability fix: removed useless check
  * Autopilot tests flake8 fix.
  * Autopilot tests are now properly robust to changes in orientation
  * Autopilot tests flake8 fix.
  * Autopilot tests: added ubuntu system tests helper to deactivate trust prompts.
  * Clamp width/height to screen size
  * Merged from trunk
  * Viewfinder: maintain binding of width/height properties when switching front/back cameras.
  * Skip tests on arm64 that were failing due to a bug in mesa.
  * Fixed indentation mistake
  * Do not rely on Loader.setSource for property bindings as it seems to break with Qt5.6.
  * New release: (LP: #1563858, #1572576, #1584524, #1585942)
  * Merged from trunk
  * Faster and cached AdvancedCameraSettings.videoSupportedResolutions().
  * Load view finder overlay synchronously.
  * Cache StorageLocation::removableStorageLocation. Saves in startup time.
  * Make Icon loading asynchronously.
  * Startup time improvements:
  * Merged from trunk
  * Crossbuilding package fixes
  * Support non numerical camera device IDs and more than 2 cameras. Fixes app not showing viewfinder on desktop.
  * Support not having an orientation sensor available.
  * More robust ending of photo capturing process. Fixes desktop/GStreamer case.
  * Reenable tests on arm64. Disable them on powerpc.
  * Better support for inverted portrait orientation.
  * Re-disable arm64 automated tests
  * New release:
  * Added snap pacakging
  * snap: inverted parts
  * snap: use desktop-qt5 instead of deprecated desktop/qt5
  * snapcraft: added compilers to build dependencies
  * Added snap desktop file
  * snap: added support for Unity8
  * snap: removed GStreamer and Mir paths workarounds: they are now part of upstream desktop-launch
  * Merged from trunk
  * Merged from trunk
  * Reverted change that was causing a SEGFAULT in StorageMonitor::checkDiskSpace()
  * Merged latest staging
  * Merged from trunk
  * New release:
  * Do not pass empty JavaScript array [] to a QML Repeater: it tends to segfault.
  * Merged latest staging
  * Merged from trunk

  [ Launchpad Translations on behalf of phablet-team ]
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.

  [ Renato Araujo Oliveira Filho ]
  * Replaced Sensors API in favor of Screen component.
  * Changed the default application size for landscape screens.
  * Fixed tests to work on landscape mode.
  * Fixed zoom slider test on landscape mode.
  * Fixed layout for inverted position.
  * Replaced Sensors API in favor of Screen component.
  * Implemented pinch to zoom.
  * Implemented pinch to zoom.
  * releasing version 2.9
  * releasing version 2.9.
  * Use 'ubuntu-app-platform' content share.
  * fixed typo.
  * Set correct path when running as snap.
  * Revet changes.
  * Add empty dir used to mount platform shared content.
  * Add missing library path on LD_LIBRARY_PATH.
  * Debian: added missing dependency on 'qtdeclarative5-qtsensors-plugin'
  * Snap: use 'ubuntu-app-platform' content share.
  * Rename 'qtdeclarative5-qtsensors-plugin' to 'qml-module-qtsensors' avoid problems on zesty.
  * Added 'unity8' into the snap plugs list.
  * Added 'unity8' into the snap plugs list.

  [ Bileto Bot ]
  * Releasing 3.0.0+16.10.20160607-0ubuntu1
  * Releasing 3.0.0+16.10.20160705-0ubuntu1
  * Releasing 3.0.0+16.10.20160824-0ubuntu1
  * Releasing 3.0.0+17.04.20161124.3-0ubuntu1

  [ Timo Jyrinki ]
  * Add qtdeclarative5-unity-action-plugin dependencies
  * Add qtdeclarative5-unity-action-plugin dependency
  * Manually sync changelog, CI/LP did not merge it correctly as part of the Qt 5.2 landing.
  * Stop depending on transitional packages.
  * Stop depending on transitional packages. (LP: #1583079)

  [ Olivier Tilloy ]
  * No change rebuild to pick up the latest translation updates.
  * No change rebuild to pick up the latest translation updates. 
  * Updated application icon.
  * Merge the latest changes from trunk.
  * Updated application icon.
  * Update copyright header.
  * Update copyright header.

  [ CI Train Bot ]
  * Releasing 3.0.0+15.04.20141205-0ubuntu1
  * Releasing 3.0.0+15.04.20141209-0ubuntu1
  * Resync trunk
  * Releasing 3.0.0+15.04.20141211-0ubuntu1
  * Releasing 3.0.0+15.04.20150108-0ubuntu1
  * Releasing 3.0.0+15.04.20150125-0ubuntu1
  * Releasing 3.0.0+15.04.20150126.2-0ubuntu1
  * Releasing 3.0.0+15.04.20150127~rtm-0ubuntu1
  * Releasing 3.0.0+15.04.20150127.1-0ubuntu1
  * Resync trunk
  * Releasing 3.0.0+15.04.20150204-0ubuntu1
  * Releasing 3.0.0+15.04.20150210-0ubuntu1
  * Releasing 3.0.0+15.04.20150212.3-0ubuntu1
  * Releasing 3.0.0+15.04.20150217-0ubuntu1
  * Releasing 3.0.0+15.04.20150218-0ubuntu1
  * Releasing 3.0.0+15.04.20150313-0ubuntu1
  * Resync trunk.
  * Releasing 3.0.0+15.04.20150327.1~rtm-0ubuntu1
  * Releasing 3.0.0+15.04.20150424-0ubuntu1
  * Resync trunk.
  * Releasing 3.0.0+15.04.20150514-0ubuntu1
  * Releasing 3.0.0+15.10.20150707-0ubuntu1
  * Releasing 3.0.0+15.10.20151005.1-0ubuntu1
  * Resync trunk.
  * Releasing 3.0.0+16.04.20151026-0ubuntu1
  * Releasing 3.0.0+16.04.20151103-0ubuntu1
  * Releasing 3.0.0+16.04.20151116.1-0ubuntu1
  * Releasing 3.0.0+16.04.20151120-0ubuntu1
  * Releasing 3.0.0+16.04.20151124-0ubuntu1
  * Releasing 3.0.0+16.04.20151202-0ubuntu1
  * Resync trunk.
  * Releasing 3.0.0+16.04.20160114-0ubuntu1
  * Releasing 3.0.0+16.04.20160229-0ubuntu1
  * Resync trunk.
  * Releasing 3.0.0+16.04.20160323.3-0ubuntu1
  * Releasing 3.0.0+16.04.20160421.1-0ubuntu1
  * Resync trunk.

  [ Ugo Riboni ]
  * Add basic application structure with an initial toolbar and mock live camera view
  * Add assets and first draft of toolbar icons positioning
  * Add mock Camera object and helpers as replacement for Qt Mobility Camera. Add flash mode switching ability.
  * Add qmlproject file.
  * Clarify that the API used is our own and not QT Mobility's. Adjust some enum names based on this.
  * Make the recording button work and count the recording time
  * Add torch mode to flash modes and activate it according to design constraints
  * Add assets directory to project and make buttons more visible
  * Make the toolbar appear on click
  * Add focusing and basic snapshot shooting controls
  * Slide off a copy of the snapped image just after shooting
  * Add the focus ring asset, missing from previous commit
  * Add first draft of the zoom arc control
  * Add missing asset for camera shoot button
  * Refine the dragging behaviour, rename and move properties 
  * Hide and show the zoom controls and add mock zoom properties on the Camera object
  * add debian packaging information
  * Add C++ application. Doesn't do anything for now but will be needed later.
  * Port to QT5
  * First step at integrating the QT Camera API and the new visual design: zoom control and flash control
  * Restyle toolbar to use plain sdk buttons, split off recording time, and use a slider for zoom
  * Actually take pictures
  * Port point focusing to the new API, but it's not working well with the fake plugin yet.
  * Add a button to display the zoom control. Refine zoom code.
  * Misc minor fixes
  * Port video recording mode
  * Merge changes from trunk
  * Depend on cameraplugin-fake, which should bring in qt multimedia
  * releasing version 0.1
  * Initial port to the QT camera API and new visual design
  * Bump version number
  * Integrate a copy of the photo viewer and make it slide in and out
  * Merge changes from trunk
  * Add the photo viewer
  * releasing version 0.3
  * Update the toolbar to match the newest visual and interaction design
  * Update the changelog
  * Merge changes from trunk
  * Adapt to the updated toolbar center circle asset
  * Adjust viewfinder orientation to match the plugin's changes
  * Avoid one extra JS evaluation
  * Fix flash modes to match new design. Fix tests so they work with the new toolbar.
  * Update the toolbar to match the new visual and interaction design.
  * Use the new asset for the focus ring
  * Fix wrong function name to get position where focus should be
  * Add a pulsing effect to the record button while recording
  * Update changelog
  * Update changelog
  * Update the focus ring to use the most recent asset.
  * Merge changes from trunk
  * Use the right enum value to turn on the torch while recording videos
  * Update changelog
  * Use the right enum value to turn on the camera torch while recording video.
  * Merge changes from trunk
  * While recording is active animate the record button by making it pulse.
  * Converted to dp.
  * Converted to gu.
  * Add and install more resolution independence fixes
  * Load the installed QML files more properly
  * Show fullscreen if the --fullscreen option is passed
  * Show fullscreen if --fullscreen is passed on the cmd line
  * Resolution independence: converted all measurements to grid units.
  * Add a custom version of Slider and use it to display a permanently visible ZoomControl
  * Allow the grip area to be larger than the asset, and use grid units for all measurements
  * Zoom continuously while holding down the + and - buttons
  * Introduce a custom Slider component and use it to display a permanently visible zoom control.
  * Update the zoom dot asset with the new one provided by design
  * Update the zoom dot asset with an improved one with better antialiasing.
  * Depend on a known working version of the SDK
  * releasing version 0.6
  * Remove dead code
  * Remove file with dead code (ZoomButton).
  * Allow click to focus only above the camera bar.
  * Allow click to focus only above the zoom bar.
  * Revert accidental release and dependency change
  * releasing version 0.6
  * Revert mistaken commit with release + dependency change, and re-release properly.
  * Make the snapshot slide to the bottom. Adapt to the 90° rotated frame we get from the AAL plugin.
  * Update changelog
  * Merge changes from trunk
  * Resize the image in the snapshot propetly to match its rotation
  * Slide the snapshot down instead of sideways when taking a picture.
  * Add support for switching front/back camera
  * Set the initial value of the zoom to be the minimum value
  * Disable flash when turning to front camera
  * Add forgotten files
  * Update dependencies to include qtmultimedia
  * Update changelog
  * Properly reset previous flash mode on camera flip
  * Allow multiple instances of AdvancedCameraSettings
  * Emit the signals after actually having performed the switch
  * Enable the camera app to switch front and back cameras.
  * Replace flash and torch assets with new ones from design
  * Add two button classes that fade between images, one sequentially and one crossing.
  * Use the new buttons to:
  * Fix the tests to match the new code
  * Update the changelog
  * Remove some debug messages
  * Adjust fading times and easings
  * Actually set the flash mode on the camera when switching it by clicking
  * Explicity install the .js files
  * Update the way the flash and record mode buttons work according to new design input and assets:
  * releasing version 1.0
  * Release version 1.0.
  * Split tests by function and add new ones
  * Update changelog
  * Split the tests in various files and add some more.
  * Disable the shooting button until the camera is ready again or the sliding has finished.
  * Add a test for shoot button enable/disable
  * Don't allow taking a new picture until the sliding is finished and the camera is ready. Fixes: https://bugs.launchpad.net/bugs/1078024.
  * releasing version 1.1
  * Release version 1.1.
  * Fix the shooting animation according to design
  * Stop the camera when the app is not the active app, to avoid wasting resources
  * Update the shoot animation according to design. Fixes: https://bugs.launchpad.net/bugs/1085912.
  * Disable the camera when the camera-app is inactive, to save resources. Fixes: https://bugs.launchpad.net/bugs/1085905.
  * Update the changelog
  * releasing version 1.2
  * Release version 1.2.
  * Swap the torch on and off icons so they are not inverted
  * Update the changelog
  * The on and off icons for the torch so that they are not inverted anymore. Fixes: https://bugs.launchpad.net/bugs/1086430.
  * Add a copyright header to all files that miss it
  *  update the changelog
  * Add a copyright header to files that miss it.
  * Switch to the gallery app when clicking on the gallery button
  * Remove the flash from the shoot animation and speed it up
  * Fade out the focus ring after a timeout
  * update the changelog
  * Swap the camera and video icons (LP: #1086923)
  * The inactive record icon should be a red dot (LP: #1086928)
  * Speed up the shoot animation and remove the initial white flash. Fixes: https://bugs.launchpad.net/bugs/1086439.
  * Merge changes from trunk
  * Swap the camera and picture icons. Fixes: https://bugs.launchpad.net/bugs/1086923.
  * Merge changes from trunk
  * Fade out the focus ring after a timeout. Fixes: https://bugs.launchpad.net/bugs/1086421.
  * Merge changes from trunk
  * The record button should be a red circle even when not recording. Fixes: https://bugs.launchpad.net/bugs/1086928.
  * Merge changes from trunk
  * Switch to gallery app when clicking the gallery button. Fixes: https://bugs.launchpad.net/bugs/1085930.
  * releasing version 1.4
  * Release version 1.4.
  * Allow dragging the focus ring (LP: #1086925)
  * Try using the new themeable Slider
  * Remove custom slider
  * Update the artwork for the slider line
  * Make sure the theme is installed and loaded properly when running installed
  * Fix tests
  * Make slider thumb sensing are taller
  * Merge changes from trunk
  * update changelog
  * Remove debug prints
  * Use a theme to change the appearance of the zoom slider instead of using a custom Slider. Fixes: https://bugs.launchpad.net/bugs/1086426, https://bugs.launchpad.net/bugs/1086924.
  * merge changes from trunk
  * releasing version 1.5
  * Allow dragging the focus ring. Fixes: https://bugs.launchpad.net/bugs/1086925.
  * Adapt to changes in appmanager API
  * Merge changes from trunk
  * focusFavoriteApplication doesn't accept a 2nd argument anymore
  * Adapt the camera app to recent qthybris ApplicationManager changes.
  * Update the changelog
  * releasing version 1.7
  * Release version 1.7.
  * Make the viewfinder resolution available to QML
  * Track position of the real viewfinder feed and reposition focus mouse area to fit it
  * Change app background color so that when it shows where there is no viewfinder it looks better
  * Properly resize and position the snapshot animation to match previous changes
  * Merge changes from trunk
  * Update changelog
  * Add comment explaining the rotation applied to the viewfinder
  * Split the calculations for the viewfinder feed size to a separate component and improve the logic
  * Merge changes from trunk
  * Add unit tests for the ViewFinderImage component
  * Add tests specific for focus. Not fully working yet
  * Fix up the focus tests
  * Refactor to remove some code duplication
  * Move some code around for improved readability
  * Improve warning messages
  * Rename ViewFinderImage to ViewFinderGeometry to reflect what it does
  * Update copyright year
  * Use the correct coordinates for focusing
  * Rever focusing code as before, it was correct
  * Align the viewfinder video feed to the top of the screen when necessary. Fixes: https://bugs.launchpad.net/bugs/1091153.
  * Allow building with Qt 5 proper
  * Update changelog
  * releasing version 1.8
  * Add missing copyright header
  * Adjust UI based on orientation. Not tested on phone yet. Has debug code.
  * Adjust orientation calcs for phone. Remove debug code.
  * Update changelog
  * Update copyright to be only GPL3
  * Add entire GPL3 license file
  * Adjust packaging info for public release
  * More packaging fixes
  * Add missing copyight header
  * Fix year on copyiright header
  * Adjust the position of the controls to match device orientation.
  * releasing version 2.3
  * Release version 2.3.
  * Fix packaging and copyright information to prepare for public release.
  * Update dependencies to include qtsensors
  * Update dependencies to include qtsensors.
  * releasing version 2.4
  * Release version 2.4.
  * Fix the position of the viewfinder feed in the window
  * Cover all cases for centering of the viewfinder feed
  * Always try to center when in landscape and make more readable
  * Fix wrong preview orientation on Nexus 10. Fixes: https://bugs.launchpad.net/bugs/1104407.
  * Fix all failing autopilot tests
  * Fix all autopilot tests.
  * Make the recording test more robust against timing problems
  * Fix more broken autopilot tests, by making a recording test handle better timing issues.
  * Adjust the ThinSliderDelegate to match the new automatic theming in the SDK
  * Adapt the slider delegate to use the new SDK automatic styling.
  * Fix typo in constant name that was preventing inverted portrait orientation to work properly
  * The shell now launches apps using the desktop file, but ours didn't have --fullscreen in it
  * Fix a typo preventing proper rotation in one case and make the app starts fullscreen again.
  * Use GPLv3 for all files
  * Use the same license for all files.
  * Setup the application for allowing translations and add one initial translation
  * Add .bzrignore file. This is not part of the i18n feature but it's trivial so it should be ok to slip in together with it
  * Allow translating the desktop file too
  * Allow the application to be translated and add one initial translation.
  * License all assets under a CC license instead of GPL3
  * Change the license of assets to CC instead of GPL3. Fixes: https://bugs.launchpad.net/bugs/1194916.
  * Adjust the recording time display to match current design
  * Refactor a function to address long standing FIXME note
  * When we are in landscape mode position the recording timer at the top of the screen
  * Make the margin of the zoom bar center line and toolbar center of symmetry equals
  * Align the camera app recording time counter as specified by design. Fixes: https://bugs.launchpad.net/bugs/1193257.
  * The margin of the zoom bar center line and toolbar center of symmetry are now the same when in landscape mode. Fixes: https://bugs.launchpad.net/bugs/1122036.
  * Use the new Actions API for HUD actions, and make sure actions actually do something.
  * Remove the quit action as it's not managed by the hud anymore
  * Drop the dependency on the HUD, as it's not used directly anymore
  * Use the new actions API to add actions to the HUD, and make sure they actually do something. Fixes: https://bugs.launchpad.net/bugs/1221344.
  * Use the QML bindings to update metrics data instead of the c++ API
  * Use the new QML bindings to send metrics via libusermetrics.
  * Use the new URL dispatcher to launch the gallery application
  * Launch the gallery app using the URL dispatcher. Fixes: https://bugs.launchpad.net/bugs/1229291.
  * Add translations to the .desktop file
  * Merge changes from trunk
  * Properly find the desktop template file
  * Update the .pot file
  * Use paths relative to /po to match conventions and update generated .pot file
  * Merge changes from trunk
  * Fix out of tree build and remove some unnecessary arguments to intltool invocation
  * Update pot file
  * Add translations inside the .desktop file Fixes: 1318008
  * Plug in the photo editor from ubuntu-ui-extras
  * Simplify the code
  * Fix packaging dependencies
  * Use the photo image provider and reload images when they have been changed by the editor
  * Fix a bug in the folder model causing edited files to appear twice
  * Fix a bug in image reloading
  * Open the photo editor using the correct method
  * Merge changes from trunk
  * Don't allow flicking back to the viewfinder while editing
  * Fix bug in the way actions are passed to the header
  * Merge changes from trunk
  * Add unit tests for making sure the photo editor appears and disappears correctly
  * Make HDR and flash mutually exclusive
  * Merge changes from trunk
  * Add AP tests
  * Merge changes from trunk
  * Add first implementation of disk space monitor backend
  * Add copyright headers and simplify the code
  * Refactor code, and prevent one unnecessary call to QStorageInfo.refresh
  * Actually fix the refresh
  * Don't restart the timer if the storage is not valid. Properly emit locationChanged property
  * Fix style. Emit locationChanged after checking space
  * Make constants more readable
  * Fix style and remove unneeded includes
  * Add unit tests
  * Merge changes
  * Merge UX changes
  * Simplify code
  * Actually remove the private header from the cmake file too
  * Correctly read the space available from disk (to the user, not overall)
  * Change thresholds to something more sensible
  * Update text according to design, and stop recording if space critically low
  * Remove debug
  * Add base for an autopilot test
  * Finalize autopilot tests
  * Update pot file
  * Fix an incorrect stub in the unit tests
  * Merge upstream changes
  * warn the user of low disk space while recording or taking a picture 
  * Add apparmor permissions so we can read the system files we need to query storage information
  * Resize the options in options list so that they match the largest text
  * Silence some noise from items initializing before a model is assigned to them
  * Change the license headers from QT stuff to plain GPL3, as we are allowed to do that and licensecheck understands it
  * warn the user of low disk space while recording or taking a picture 
  * More properly align icons and labels
  * Make hdr and flash options mutually exclusive Fixes: #1350958
  * Size option labels to fit the widest text in the column, so they look good in all languages Fixes: #1413529
  * Merge changes from trunk
  * Keep watching modified files and a the thumbnailer to refresh the image when they change
  * The added role was unnecessary, so simplify back the code
  * Merge upstream changes
  * No need to check if the file is still watched. Just add it back again.
  * Merge chnages from trunk
  * Add photo editor feature using the component from ubuntu-ui-extras. Fixes: #1368787
  * Refresh properly the thumbnails when the picture is changed. Make sure after the first change the file is still being watched. 
  * Merge changes from trunk
  * Detect at runtime if the PhotoEditor is installed and use it only in that case
  * Fix a test that was still assuming that to change flash modes you had to cycle through them
  * Make sure we don't try to remove any leftover photo editor directories when deleting pictures and videos during test setup.
  * Fix some failing tests (that were failing for real test bugs, not due to infrastructure problems).
  * Fix a bug introduced when loading the editor conditionally, which prevented video thumbnails from loading
  * Add test to check the video thumbnail loads correctly
  * Fix a bug preventing the thumbnails for videos to load correctly Fixes: #1423177
  * Disable editing for videos
  * Refactor some common code between editor and gallery tests into the base class
  * Refactor more common code
  * Abort the test if the photo editor package is not installed
  * Remove useless code
  * Add a test for the editor button being disabled for videos
  * Fix very random bug on dragging the panel by maximizing the speed of drag
  * Prevent failure when removing config file if it does not exist
  * Merge lp:~canonical-platform-qa/camera-app/close-panel-helper-fix to group more fixes in one review
  * Explicit rate parameter in calls to drag
  * When possible prefer adding sample media in advance of launching the app than taking actual pictures or videos
  * Make sure we don't fail if for any reason there are subdirectories while we try to clean the media directory
  * Merge changes from trunk
  * Fix missing parameter on call
  * Minimize swipe speed when switching to gallery view and back as it seems to be necessary to fix the problem in combination with previous changes
  * Ensure environment is clean of other media when running tests
  * Ensure editor tests have photo or video present before starting the test, or they will not be picked up
  * Refactor camera editor tests, make them work even if UI extras are not installed, and add a test for the edit button being disabled when on a video
  * Reset the zoom UI when we switch cameras or recording mode, to matche the zoom reset from the backend
  * Factor our into the emulator the switching of camera and recording mode, so they can be used in other test cases
  * More refactoring
  * Add AP tests for ensuring that the zoom UI is reset when switching recording modes and cameras
  * Fix flake8
  * Implement the two-way binding in a more general way
  * Add option to toggle the shutter sound on and off
  * Disable the HDR option while shooting video
  * Fix OptionButton so that toggles can also have icons
  * Make shutter sound a toggle and display it only when taking still pictures
  * Fix mistake
  * Revert previous commit as it was causing binding loop warnings when zooming
  * Reset the zoom UI to the actual level when coming back from suspend
  * Hide the HDR setting while recording video as it does not apply to this mode
  * Correctly reset the zoom UI when the actual zoom level of the camera resets due to switching cameras or recording modes
  * Add option to disable shutter sound
  * Correctly rotate the share and delete dialogs by parenting them to the views that trigger them
  * Make code more readable
  * Correctly rotate the share and delete dialogs by parenting them to the views that trigger them
  * Fix AP test since now zoom is not reset any more when switching recording modes
  * Fix AP test since now zoom is not reset any more when switching recording modes
  * Notify the user when camera permissions have been revoked, and provide shortcut to change them again
  * Allow reaching the camera permissions page directly. Fix some text.
  * Better text, including suggestions to reboot if permissions are ok
  * Allow acting as an export source for recording videos
  * Merge changes from trunk
  * Fix end of line semicolons
  * Allow reviewing the video after shooting it
  * Merge changes from staging
  * Cleanup
  * Enable camera-app as source for videos for content-hub export, and adjust the UI
  * Notify the user when camera permissions have been revoked, and provide shortcut to change them again
  * Recover more properly from failures to connect to the camera
  * More properly recover from failure to connect to the camera
  * Prevent switching to photoroll until after a capture is finished. 
  * Prevent switching to photoroll until after a capture is finished. 
  * The minimum zoom level is zero, not one
  * Fix minimum zoom level to be zero and not one.
  * Fix autopilot tests from previous commit
  * Fix zoom related AP tests from previous commit
  * Remove dead code (which was wrong in the first place)
  * Put back some code that was still necessary
  * Remove code made useless by cleanly stopping video recording in the backend when app becomes inactive
  * Adjust the coordinates for manual focus to match orientation so it works also in portrait mode
  * Move a comment to where it belongs
  * Allow tapping right up to the left/right edges to manual focus
  * Query the capability for manual focus since the backend now supports it
  * Allow tap to focus up to the left/right edge of the screen. 
  * Revert previous patch as fix was moved to qtubuntu-camera
  * Fix one more comment
  * Fix some comments that are either formatter wrong or in the wrong place
  * Merge changes from trunk
  * Query the manual focus support to enable/disable tap-to-focus as the backend supports it
  * Use the final picture instead of the preview as the source of the sliding snapshot
  * Darken the viwfinder while shooting and fade in the resulting picture
  * Merge Florian's fixes
  * Go back to using a preview, which the backend now creates from the actual image before saving it to disk
  * Keep the controls  always visible and below the snapshot while it slides
  * Ensure everything works properly when exporting pictures
  * On media export prevent the screen from turning black while the snapshot loads
  * Remove unused properties
  * Refactor the export confirmation so it does not use identifiers out of scope
  * Remove debug
  * Pulse the shoot button while the capture is in progress to indicate progress
  * Simplify code
  * Ensure the photo roll hint is below the snapshot and that it does not become visible too early
  * Merge from parent branch
  * Merge more fixes from another branch
  * Remove the preview completely, and undarken the viewfinder as soon as the we are ready for a new capture
  * Merge changes from parent branch
  * Declaratively handle the opacity of the viewfinder
  * Move the writing of data and most metadata to disk in a separate thread + other performance improvements
  * Fix the photo roll hint
  * Fix the export functionality
  * Merge changes from staging
  * Display the position indicator in red and don't save position if the accuracy is less than 100m (if available)
  * Remove out copy of QStorageInfo and use the one from Qt 5.4 now that we are using it
  * Use QStorageInfo to find the mounted partitions, so it can check if they are ready and valid
  * Check if the media is writeable and display a dialog if not
  * Move all the storage locations management out of the main app and into a singleton class for easier access
  * If the capture fails properly reset the UI to allow trying again and pop up a dialog informing the user
  * Remove debug
  * Remove debug
  * Fix missing method in QStorageInfo stub
  * Display a warning message on failed video captures too
  * Export mode should not have any warning for external media not being writeable
  * Various performance improvements to minimize the time between shots and between pressing the shutter button and the actual capture. 
  * When the GPS fix is accurate to less than 100m display the GPS icon in red and don't save location
  * Display error messages when disk write fails and when SD card is not writeable when switching to it.
  * Revert framework bump as it has not been actually released
  * Set Camera.position to switch front/back camera instead of hardcoding device indexes via AdvancedCameraSettings
  * Fix flash AP tests to check focusability at edges
  * Fix focus AP test to verify edges are focusable
  * Display an stock video icon if the thumbnailer fails (which it will now, instead of returning a default thumbnail)
  * Don't allow zooming in on video thumbnails. There is nothing to zoom in to anyway.
  * Add AP tests
  * Allow sharing multiple files, except if they are mixed content
  * Test that share is correctly enabled/disabled during multiselection
  * Add AP tests for the mixed media warning dialog
  * Adjust size and opacity, and make sure the icon appears also in case images have broken thumbnails
  * Add the same feature to the grid view
  * Rename the icon so it's clear it's not just for videos
  * Fix and simplify mixed media detection, add unit tests for it
  * Use single selection mode only in grid view if the content hub explicitly asks for it
  * Filter the grid view according to the content type requested by content hub
  * Allow unit tests to find c++ plugin when run out of tree
  * Fix PEP8 issue
  * Display a stock icon as the video thumbnail when thumbnailer fails (which it will do now if it can't process a video)
  * Add build dependencies needed for unit tests
  * Merge parent branch
  * Fix flake8 errors
  * Allow sharing multiple files, except if they are mixed content
  * Fix AP tests for gallery view
  * Add to AP tests a check for the broken video thumbnail in grid view
  * Fix and improve AP tests for gallery view
  * Merge changes from parent branch
  * Set Camera.position to switch front/back cameras instead of AdvancedCameraSettings and hardcoded camera indexes
  * New release:

  [ Ken VanDine ]
  * Updated depends for qtdeclarative5-ubuntu-content1 package rename
  * Updated depends for qtdeclarative5-ubuntu-content1 package rename
  * Bump Ubuntu.Content import to 1.3 to fix theme issue
  * Bump Ubuntu.Content import to 1.3 to fix theme issue

  [ Arthur Mello ]
  * Flip the video horizontally if we are on desktop
  * Flip the video horizontally if we are on desktop Fixes: 1307654
  * Add support to multi selection on grid view when triggered by the user
  * Add support to delete moltiple photos on selection mode
  * Add support to share from the user selection mode
  * Fix the sharing option when on multi selection mode
  * Make it possible to view the media files while on selection mode
  * Merge with trunk
  * Merge with trunk
  * Create a component to SharePopover
  * Use the new share component on grid and slideshow view
  * Fix share component call from the slideshow
  * Unset the selection mode after sharing on grid view
  * Create DeleteDialog component
  * Use the DeleteDialog on the grid view
  * Merge with trunk
  * Set singleSelectionMode as false only when doing a multiselection
  * Merge with trunk
  * List the delete action first in the confirmation dialog
  * Fix syntax error
  * Fix singleSelectionOnly setting for model
  * Add AP tests for the multiselection mode
  * Merge with trunk
  * Merge with trunk
  * Does not display the actionsDrawer while initializing it
  * Does not chamge the single selection property from model after viewing an image on select mode
  * Add a select all button when at the selectionMode in the grid view
  * Expand the MouseArea for toggling select on the photo grid
  * Add a new option on the UI for self timer
  * Add the delay shoot function that uses the self timer settings value
  * Add visual feedback when using self timer
  * Add a new option on the UI for enabling gridlines
  * Add grid lines to the viewfinder
  * Reset the countdown secs after a photo is taken
  * Increase countdown label size
  * Changed the settings label
  * Display remaining secs right away when pressing shoot button
  * Remove unnecessary function
  * Change the way that timedShoot query the remaining secs value
  * Merged bottom edge UI fixes from lp:~fboucault/camera-app/sdcard
  * Update pot files
  * Merged bottom edge UI fixes from lp:~fboucault/camera-app/sdcard
  * Change the icon for the reminder option
  * Enable viewing full screen picture while in selection mode
  * Fix to display the photo fullscreen when in content hub mode
  * Enable viewing full screen picture while in selection mode
  * Disable record/shuttle button while PhotoRoll hint is visible
  * Disable record/shuttle button while PhotoRoll hint is visible

  [ Brendan Donegan ]
  * Use TRUST_STORE_PERMISSION_MANAGER_IS_RUNNING_UNDER_TESTING to avoid dialog when testing
  * Setting TRUST_STORE_PERMISSION_MANAGER_IS_RUNNING_UNDER_TESTING prevents the location request dialog from popping up, so as not to break the Autopilot tests. 
  * Restart the location service in testing mode so as not to get unwanted prompts
  * Finally remove location prompts during testing 
  * Move set_location_service_testing to helpers file
  * Finally remove location prompts during testing 
  * Use pointing_device from self.app instead of the testCase passed in
  * Remove rate parameter from drag call in _drag_to_open as it was not opening the panel when dragged that fast.
  * Do the same for _drag_to_close
  * Remove rate parameter from drag call in _drag_to_open as it was not opening the panel when dragged that fast.

  [ Benjamin Zeller ]
  * Fix project to run on the device
  * removed empty dir
  * Fix project files to correctly run on the device from QtCreator 
  * Make sure camera-app cmake project works out of the box in the SDK:
  * Merge Kaleo's branch to fix conflicts
  * Make sure camera-app cmake project works out of the box in the SDK:

  [ Sebastien Bacher ]
  * Wrap the swipe hint, the elided version doesn't make sense in some locales...
  * Wrap the swipe hint, the elided version doesn't make sense in some locales... Fixes: #1389611
  * Use the red color for the Delete button as recommended by design
  * Use the red color for the Delete button as recommended by design

  [ Bartosz Kosiorek ]
  * Tag strings to translate it in later form
  * Add i18n.tag support
  * Updated pot template
  * Boost camera performance by optimized size of the png and svg files,
  * Fix plural form Fixes: #1323373
  * Improve camera performance by optimized size of the png and svg files,

  [ Richard Huddie ]
  * Fix bottom edge closing helper by moving position of swipe away from edge
  * Change swipe down position to just inside right edge, avoiding potential conflict with on screen buttons.
  * Merge from trunk
  * Increase the speed of the down drag slightly, this makes the gesture reliable.
  * Increase swipe down speed slightly
  * Use x, y, width and height properties from main_view instead of globalRect.
  * Use x, y, width and height properties in swipe_to_viewfinder.
  * Merge additional fixes from lp:~fboucault/camera-app/fix-1514408-swipe-to-gallery
  * Fix for https://bugs.launchpad.net/camera-app/+bug/1514408

  [ Albert Astals Cid ]
  * Add missing return in AdvancedCameraSettings::mediaControlFromCamera
  * Add missing return in AdvancedCameraSettings::mediaControlFromCamera

  [ Robert Ancell ]
  * Use new QML package names for qml-module-qtquick2, qml-module-qttest, qml-module-qtquick-window2, qml-module-qtpositioning
  * Use new QML package names for qml-module-qtquick2, qml-module-qttest, qml-module-qtquick-window2, qml-module-qtpositioning.

  [ James Henstridge ]
  * When finished shooting a video, request a thumbnail so that a version of 
  * Updates based on Florian's review.
  * After shooting a video, request a thumbnail so that it will be available in the cache when needed (e.g. by the Gallery or Dash).

  [ Leo Arias ]
  * Use the base class from the toolkit in autopilot tests.
  * Reverted the unused imports, will remove them in a following branch.
  * Use a constant for the base class.
  * Fixed the static errors reported by flake8.
  * Linked the bug.
  * Added the flake8 check to debian rules.
  * Use the base class from the toolkit in autopilot tests.
  * Fixed error in trunk.
  * Merged with prerequisite.
  * Fixed the static errors reported by flake8.
  * Use pointing_device from self.app instead of the testCase passed in

  [ Omer Akram ]
  * use pointing_device instead of mouse
  * replaced 'mouse' with 'pointing_device' so that tests work on touch as well.
  * make autopilot tests platform aware
  * fix minor problems with autopilot tests
  * port autopilot tests to 1.3 and also make these tests platform aware.
  * comment out failing test, will be re-enabled once camera-app bug is fixed
  * skip test gracefully instead of commenting out
  * s/big/bug
  * mentioned bug number for the skipped test
  * fix local binary location
  * disable failing autopilot test so that we could get autopilot enabled in jenkins.
  * fix local install location which got ruined in the ap-1.3 port.
  * make autopilot tests pep8 compliant, simplify alot of tests for readability
  * simplify
  * skip a bunch of tests on the nexus 7 as camera does not work there
  * fix test on phone
  * separate out the Nexus 7 skip test changes
  * fix per suggestions
  * make the camera-app tests pep8 compliant, improves tests for readability and re-usability of code, skip few tests on the Nexus 7 as camera does not work on it yet.
  * fix orientation detection in autopilot test; fixes a failing test on touch devices
  * replace is with ==
  * also fix second failing jenkins test
  * fixes a slider related failing test on the touch devices.
  * disable the video recording button since the feature is broken for v1.0
  * add integration test for gallery icon
  * make tearDown less error prone
  * simplify the integration test code much
  * fix integration test
  * depend -autopilot on unity8-autopilot as we use emulators from there
  * merge trunk
  * port autopilot tests to python3
  * better way to return int
  * port autopilot tests to python 3.
  * fix tearDown order
  * add integration test to make sure gallery icon in the camera toolbar really opens the gallery-app. Fixes: https://bugs.launchpad.net/bugs/1228335.
  * increase initial pinch for zoom-slider to appear
  * fix new pictures location
  * merge trunk
  * click icons with objectName
  * revert some
  * merge trunk
  * autopilot: fix camera zoom bar not showing in test due to small initial pinch Fixes: 1366825, 1376495
  * autopilot: make sure the media directories exist before trying to delete their content
  * reuse code
  * no need to write a method to check if a directory exists, rather make direct call to os.path.exists
  * Autopilot: Ensure the media directories exist before trying to delete data from them. Fixes: #1444650

  [ Bill Filler ]
  * fix qt5 related build issues
  * fixes build failures. Approved by .
  * add dep and fix size for phone
  * added qtsvg as runtime dep
  * added qtsvg as runtime dep and hardcoded the size to 720x1280 to fit the phone. Approved by Michael Frey.
  * releasing
  * rever to versin 29
  * fixup changelog and fix rules
  * Revert to rev 29 of bzr as photo viewer changes have problems. Approved by Bill Filler.
  * conditionally depend on real or fake plugin
  * conditionally add dep for new camera plugin depending on arch. Approved by Ricardo Salveti.
  * releasing
  * release.
  * new release 
  * release with fix for dependency issue on qt-components-ubuntu.
  * new release
  * new release.
  * release
  * latest release.
  * unset multi-threaded qml renderer env vars 
  * rebase
  * unset env vars for QML Multi-threaded rendering as these will be turned on now by default in shell and Camera app doesn't support it.
  * releasing version 1.9
  * releasing version 2.1
  * Update the build for Qt5.
  * releasing version 2.8
  * new release.
  * fix usage of skipIf
  * skip invalid tests on maguro/mir
  * Center the viewfinder in more cases fixes LP: #1179503
  * Disable the video switch as the feature is not working for v1.0
  * merge from trunk
  * launch gallery using appropriate url for a click package
  * remove comment
  * merge sergio changes
  * initial support for DESKTOP_MODE
  * merge from trunk
  * added support for desktop icons
  * remove unused svg file
  * hide non-supported buttons in desktop mode
  * initial support for DESKTOP_MODE 
  * merge from trunk
  * merge from trunk
  * skip flaky test
  * skip integration test until it's reworked to be more reliable 
  * click support 
  * updated framework version
  * change check for desktop mode
  * change check for desktopMode to use platform name rather than env var 
  * make camera a source for pictures and videos for content-hub
  * fix cmake file and add newline to json file
  * add context_exchange_source to apparmor policy
  * add content_exchange_source policy for apparmor 
  * Fix case when pictures have been taken while the library is being scanned.
  * fix merge conflict
  * revert
  * updated depends
  * drop ui-extras as build dep, only needs to be runtime as the app dynamically determines when to use it
  * dynamically check for editor Fixes: #1368787
  * update depends on ui-extras new version 

  [ CI bot ]
  * Releasing 2.9.1+14.04.20140213-0ubuntu1
  * Releasing 2.9.1+14.04.20140214-0ubuntu1
  * Releasing 2.9.1+14.04.20140306-0ubuntu1
  * Releasing 2.9.1+14.04.20140331-0ubuntu1
  * Releasing 2.9.1+14.10.20140505-0ubuntu1
  * Releasing 2.9.1+14.10.20140508-0ubuntu1
  * Releasing 2.9.1+14.10.20140522-0ubuntu1
  * Releasing 2.9.1+14.10.20140528-0ubuntu1
  * Releasing 2.9.1+14.10.20140625.1-0ubuntu1
  * Releasing 2.9.1+14.10.20140626-0ubuntu1
  * Releasing 2.9.1+14.10.20140701-0ubuntu1
  * Resync trunk
  * Releasing 3.0.0+14.10.20140703.1-0ubuntu1
  * Releasing 3.0.0+14.10.20140703.2-0ubuntu1
  * Releasing 3.0.0+14.10.20140714-0ubuntu1
  * Resync trunk
  * Releasing 3.0.0+14.10.20140717-0ubuntu1
  * Resync trunk
  * Releasing 3.0.0+14.10.20140730-0ubuntu1
  * Resync trunk
  * Releasing 3.0.0+14.10.20140805-0ubuntu1
  * Releasing 3.0.0+14.10.20140808-0ubuntu1
  * Releasing 3.0.0+14.10.20140813-0ubuntu1
  * Releasing 3.0.0+14.10.20140814-0ubuntu1
  * Releasing 3.0.0+14.10.20140815.1-0ubuntu1
  * Resync trunk
  * Releasing 3.0.0+14.10.20140829-0ubuntu1
  * Releasing 3.0.0+14.10.20140903-0ubuntu1
  * Resync trunk
  * Releasing 3.0.0+14.10.20140908-0ubuntu1
  * Releasing 3.0.0+14.10.20141001-0ubuntu1
  * Resync trunk
  * Releasing 3.0.0+14.10.20141008-0ubuntu1
  * Releasing 3.0.0+14.10.20141028~rtm-0ubuntu1
  * Releasing 3.0.0+15.04.20141202-0ubuntu1

  [ Chris Gagnon ]
  * add a wait to autopilot tests to workaround bug #1373039
  * add date and more reasons for sleep
  * use ap wait_for instead of testtools
  * wait at beginning of autopilot tests to work around bug #1373039 Fixes: #1376495

  [ Penk Chen ]
  * Add removableStorageLocation
  * Capture images to removable storage if detected
  * Adjust storage location
  * Added externalPicturesLocation and externalVideosLocation
  * Capture videos to external storage when available
  * Use video:/// protocol provided by mediaplayer-app

  [ Michał Sawicz ]
  * New icon.
  * New icon from suru theme. 
  * Add :any to python dep to enable cross-building.
  * Instal CameraApp module in app-private libdir.
  * Fix .install
  * Use the cmake variable for "camera-app".
  * Tweak .install
  * Add missing prefix to the import path.
  * Add :any to python dependency and install the camera app module in app-private libdir.

  [ Pawel Stolowski ]
  * Added X-Ubuntu-Default-Department-ID key to the desktop file
  * Added X-Ubuntu-Default-Department-ID key to the desktop file. This is required by click scope to support departments for preinstalled applications. 

  [ Sergio Schvezov ]
  * Changing packaging dependencies to work with raring
  * changing build dependency from python2.7 to python for autopilot install.
  * Changing version to be more bzr bd and ppa friendly
  * Changing version to be more bzr bd and ppa friendly
  * Fixing up
  * use a fixed tag for config.h
  * Adding a hack to detect if installed and default to click/confined.
  * Copy paste typo fix
  * Click build support.
  * Adding usermetrics to profile
  * Noting down that this would need to change if/when gallery gets clickified
  * general improvement
  * Loading testability driver on envvar
  * Improving versioning
  * Allow overriding vcs-bzr in the click manifest
  * Adding camera icon
  * Simple script to build the click package
  * Skipping gallery integration test until click transition is done
  * Update the framework for ubuntu-sdk-14.04-dev1 and apparmor 1.1
  * Correct click manifest for python3.
  * Including GNUInstallDirs first to allow click chroot to cross build
  * Fix cross building with click chroot 

  [ Jim Hodapp ]
  * Enable Qt multithreaded rendering.
  * Enable Qt multithreaded rendering.
  * Bumping version number for a package release.
  * Doing a package release for the multithreaded rendering enablement.
  * Update package names in debian/control for upgrade to Qt 5.0.1.
  * Bump package version number for release.
  * Update package names in debian/control for upgrade to Qt 5.0.1.
  * Bump package version number for release.
  * Re-enable camera recording since it's working again in libhybris
  * Merged with upstream
  * Make sure the record or snapshot mode toggle button looks enabled
  * Re-enable camera recording since it's working again in libhybris 
  * Update the app_armor policy groups and framework verion so that the camera-app can continue to write snapshots and video files to ~/Pictures and ~/Videos respectively
  * Update the app_armor policy groups and framework verion so that the camera-app can continue to write snapshots and video files to ~/Pictures and ~/Videos respectively 

  [ David Planella ]
  * Made metrics user messages translatable
  * Updated translation template
  * Internationalize the metrics strings Fixes: 1320435
  * Update the translations template with the new strings Fixes: 1320437

  [ Ricardo Salveti de Araujo ]
  * debian/control: should depend on mesa gl/gles headers as first option
  * debian/control: should depend on mesa gl/gles headers as first option
  * releasing package camera-app version 2.9.1+14.04.20140331-0ubuntu2
  * releasing package camera-app version 2.9.1+14.10.20140508-0ubuntu2

  [ Dimitri John Ledkov ]
  * Correct click manifest for python3.
  * drop trailing coma
  * missing comma

  [ Barry Warsaw ]
  * * Port autopilot tests to python 3.
  * Leave changelog alone
  * trunk merge
  * trunk merge
  * Bump Standards-Version to 3.9.5.
  * * Port emulators to Python 2/3.

  [ Pete Woods ]
  * Change the infographic label to match the design team's request
  * Change the infographic text as per design request.
  * Set minimum values for photos and videos infographics
  * Merge trunk
  * Fix the infographic display, so that it correctly sets the minimum value.
  * Set the minimum value for the camera infographic (fix regression in r200)
  * Set the minimum value for the camera infographic (fix regression in r200). Fixes: https://bugs.launchpad.net/bugs/1214309.
  * Handle the quit signal
  * Update control file with new version constraints
  * Handle the HUD quit signal

  [ Automatic PS uploader ]
  * Releasing 2.9.1daily13.05.22ubuntu.unity.next-0ubuntu1, based on r130
  * Releasing 2.9.1daily13.05.22ubuntu.unity.next-0ubuntu1 to ubuntu.
  * Releasing 2.9.1daily13.05.31ubuntu.unity.next-0ubuntu1, based on r132
  * Releasing 2.9.1daily13.05.31ubuntu.unity.next-0ubuntu1 to ubuntu.
  * Releasing 2.9.1daily13.06.07-0ubuntu1, based on r133
  * Releasing 2.9.1daily13.06.07-0ubuntu1 to ubuntu.
  * Releasing 2.9.1daily13.06.11-0ubuntu1, based on r135
  * Releasing 2.9.1daily13.06.11-0ubuntu1 to ubuntu.
  * Releasing 2.9.1daily13.06.12-0ubuntu1, based on r138
  * Releasing 2.9.1daily13.06.12-0ubuntu1 to ubuntu.
  * Releasing 2.9.1daily13.06.13-0ubuntu1, based on r140
  * Releasing 2.9.1daily13.06.13-0ubuntu1 to ubuntu.
  * Releasing 2.9.1daily13.06.17-0ubuntu1, based on r146
  * Releasing 2.9.1daily13.06.17-0ubuntu1 to ubuntu.
  * Releasing 2.9.1daily13.06.21-0ubuntu1, based on r152
  * Releasing 2.9.1daily13.06.21-0ubuntu1 to ubuntu.
  * Releasing 2.9.1daily13.06.22-0ubuntu1, based on r156
  * Releasing 2.9.1daily13.06.22-0ubuntu1 to ubuntu.
  * Releasing 2.9.1+13.10.20130703-0ubuntu1, based on r161
  * Releasing 2.9.1+13.10.20130703-0ubuntu1 to ubuntu.
  * Releasing 2.9.1+13.10.20130708-0ubuntu1, based on r164
  * Releasing 2.9.1+13.10.20130708-0ubuntu1 (revision 164 from lp:camera-app).
  * Releasing 2.9.1+13.10.20130718-0ubuntu1, based on r170
  * Releasing 2.9.1+13.10.20130718-0ubuntu1 (revision 170 from lp:camera-app).
  * Releasing 2.9.1+13.10.20130724-0ubuntu1, based on r174
  * Releasing 2.9.1+13.10.20130724-0ubuntu1 (revision 174 from lp:camera-app).
  * Releasing 2.9.1+13.10.20130725-0ubuntu1, based on r177
  * Releasing 2.9.1+13.10.20130725-0ubuntu1 (revision 177 from lp:camera-app).
  * Releasing 2.9.1+13.10.20130731-0ubuntu1, based on r181
  * Releasing 2.9.1+13.10.20130731-0ubuntu1 (revision 181 from lp:camera-app).
  * Releasing 2.9.1+13.10.20130802-0ubuntu1, based on r183
  * Releasing 2.9.1+13.10.20130802-0ubuntu1 (revision 183 from lp:camera-app).
  * Releasing 2.9.1+13.10.20130919.2-0ubuntu1, based on r193
  * Releasing 2.9.1+13.10.20130919.2-0ubuntu1 (revision 193 from lp:camera-app).
  * Releasing 2.9.1+13.10.20130923-0ubuntu1, based on r198
  * Releasing 2.9.1+13.10.20130923-0ubuntu1 (revision 198 from lp:camera-app).
  * Releasing 2.9.1+13.10.20130930.4-0ubuntu1, based on r203
  * Releasing 2.9.1+13.10.20130930.4-0ubuntu1 (revision 203 from lp:camera-app).
  * Releasing 2.9.1+13.10.20131008-0ubuntu1, based on r210
  * Releasing 2.9.1+13.10.20131008-0ubuntu1 (revision 210 from lp:camera-app).
  * Releasing 2.9.1+13.10.20131011-0ubuntu1, based on r217
  * Releasing 2.9.1+13.10.20131011-0ubuntu1 (revision 217 from lp:camera-app).
  * Releasing 2.9.1+14.04.20131106-0ubuntu1, based on r224
  * Releasing 2.9.1+14.04.20131106-0ubuntu1 (revision 224 from lp:camera-app).

  [ Łukasz 'sil2100' Zemczak ]
  * [ Robert Bruce Park ]
  * libhud-qt-qml has been renamed to qtdeclarative5-hud1.0. Also, switch code to use HUD 1.0
  * Change build dependency from python2.7 to python to fix a FTBFS on launchpad.
  * libhud-qt-qml has been renamed to qtdeclarative5-hud1.0. Also, switch code to use HUD 1.0.
  * Make camera-app autopilot tests passing on 1.4 - we remove the main_window.get_camera() element as it is broken and not used at all during tests
  * Bump the AP dep to 1.4
  * Make camera-app autopilot tests passing on 1.4 - we remove the main_window.get_camera() element as it is broken and not used at all during tests

  [ Guenter Schwann ]
  * Fix wrong preview orientation on Nexus 10
  * Use properties rather than global IDs
  * Set correct orientation for landscape
  * Fix landscape orientation for the tablet
  * Release version 2.5
  * Release version 2.5.
  * Depend on cameraplugin-fake package for the test package only
  * merged trunk
  * Set autopilot architecture, so the fake plugin can be used as dependency
  * * Merge trunk
  * Depend on cameraplugin-fake package for the test package only.
  * Set orientation for videos
  * Show video recording duration correctly on all orientations (LP: #1191940)
  * Rename "d" object
  * Fix clash of component name
  * Fix autopilot test
  * Fix clash of component name.
  * Set orientation for videos.
  * Show video recording duration correctly on all orientations (LP: #1191940). Fixes: https://bugs.launchpad.net/bugs/1191940.
  * Update viewfinder resolution when the capture mode changes
  * Update viewfinder resolution when the capture mode changes. Fixes: https://bugs.launchpad.net/bugs/1191946.
  * Update user metric for every captured photo/video
  * Update user metric for every captured photo/video.
  * Use simpler MetricManager API for less code
  * Do not set the user (use the default)
  * Use simpler MetricManager API for less code.
  * Fix tap to focus
  * Fix tap to focus.
  * Don't show the zoom bar, when zooming is not possible
  * Don't show the zoom bar, when zooming is not possible. Fixes: https://bugs.launchpad.net/bugs/1191088.
  * Use Eventually for testing the focus ring opacity for 0.0
  * Fix autopilot
  * Use Eventually for testing the focus ring opacity for 0.0. Fixes: https://bugs.launchpad.net/bugs/1206822.
  * Disable test_shoot_button_disable(9 as it is unstable because of a race condition
  * Better way to disable the test
  * Update comments
  * Disable test_shoot_button_disable(9 as it is unstable because of a race condition. Fixes: https://bugs.launchpad.net/bugs/1227373.
  * Center the viewfinder in more cases fixes LP: #1179503
  * Skip failing tests on maguro (with mir enabled)
  * Add missing imports

  [ Ted Gould ]
  * Adding single instance marker to the desktop file
  * Adding single instance marker to the desktop file.

  [ Kaleo ]
  * Set default width to be 40 grid units.
  * Set default width to be 40 grid units.
  * Made explicit what size the assets are designed for by adding a grid unit suffix to all assets.
  * Made explicit what size the assets are designed for by adding a grid unit suffix to all assets.
  * Use Label instead of TextCustom that was renamed/deprecated in the SDK.
  * Use Label instead of TextCustom that was renamed/deprecated in the SDK.
  * New release 
  * releasing version 1.6
  * releasing version 1.6.
  * Fixed name collision with Ubuntu UI Toolkit's new class OrientationHelper.
  * Fixed name collision with Ubuntu UI Toolkit's new class OrientationHelper.
  * Adapt slider to newer and simpler toolkit's theming infrastructure.
  * Renamed Delegates into Styles.
  * Adapted slider to newer and simpler toolkit's theming infrastructure.

  [ Robert Bruce Park ]
  * * Minor packaging fixes.
  * Add missing split mode.
  * Lintian fixups.
  * Lintian can get stuffed.
  * Package name was changed.
  * Rebase on trunk.
  * Merge trunk.
  * Fix changelog.
  * Fix deps as per gusch.
  * Remove extra dep.
  * One more try...
  * Minor packaging fixes.
  * Ported from HUD 0.1 to 1.0.
  * Fixes as per mterry.
  * Fix autopilot tests.
  * Merge trunk.
  * Port from HUD 0.1 to 1.0.
  * Fix some lintian warnings.
  * Add lintian overrides.
  * Merge trunk.
  * Fix lintian warnings.

  [ Didier Roche ]
  * add bootstrap message
  * add bootstrap message.

  [ Ying-Chun Liu ]
  * Add X-Ubuntu-Touch field into desktop files.
  * Add X-Ubuntu-Touch field into desktop files.
  * Add X-Ubuntu-Touch field into desktop file.

  [ Michael Zanetti ]
  * query qmake for QT_IMPORTS_DIR as cmake doesn't set it with Qt5 any more
  * query qmake for QT_IMPORTS_DIR as cmake doesn't set it with Qt5 any more. Approved by PS Jenkins bot.
  * added autopilot tests which work with the new visuals of the camera
  * fix dependency and changelog
  * fix issues from reviews
  * Ported the autopilot tests to the new camera visuals
  * update autopilot zoom control test
  * update comment
  * fix autopilot zoom control test.
  * make the autopilot tests more robust against timing issues
  * make the autopilot tests more robust against timing issues.
  * use Eventually() to check for zoom level changes. Otherwise we'll see timing-related failures.
  * use Eventually() to check for zoom level changes. Otherwise we'll see timing-related failures.
  * check for the picture ending up on disk more gracefully
  * add missing sleep
  * check for the picture ending up on disk more gracefully.
  * mouse.click() can produce slightly different durations for the click
  * mouse.click() can produce slightly different durations for the click
  * update the other part of the test too
  * mouse.click() can produce slightly different durations for the click
  * rename autopilot package from camera-app-testing to camera-app-autopilot
  * don't hardcode the python path
  * make the install file more flexible
  * rename autopilot package from camera-app-testing to camera-app-autopilot
  * added missing build dep to python
  * added missing build dep to python.
  * make autopilot tests work on Desktop and Phone
  * don't run the record video test on the device
  * removed unused import path
  * make autopilot tests work on Desktop and Phone
  * check cleanly if running on device
  * check cleanly if running on device
  * use autopilot's new drag() function as this will also work with finger
  * use autopilot's new drag() function as this will also work with finger
  * added a test for dragging the focus ring
  * * fix test_drag_focus_ring on the phone
  * * fix test_drag_focus_ring on the phone
  * use qthybris only when it is available
  * depend on qthybris only on arm.
  * added qml unit tests
  * copy test files over to build dir
  * fix out of source build
  * add newly require build dep to qt-components-ubuntu
  * fix Stopwatch and enable test for negative values
  * fixed copyright headers
  * added QML unit tests.
  * added missing dependencies
  * Add missing runtime dependencies.
  * add dep to qt5widgets5 for autopilot package
  * explicitly added also dependency to libqt5test5 instead of relying that it will be always pulled in indirectly
  * added dependency to libqt5widgets5 to autopilot package.

  [ Antti Kaijanmäki ]
  * Hook up with HUD Toolbar Quit button.
  * indentation.
  * Hook up with HUD Toolbar Quit button.
  * Add HUD dummy Actions.
  * releasing version 2.5
  * Add HUD dummy Actions.
  * Add HUD dummy Actions. Fixes: https://bugs.launchpad.net/bugs/1125656.

  [ Ricardo Mendoza ]
  * releasing version 2.2
  * Remove qthybris.

  [ Zsombor Egri ]
  * theming fix
  * styling fixes
  * normalizedValue() missing parameter added

 -- Cédric Bellegarde <cedric.bellegarde@adishatz.org>  Wed, 29 Oct 2025 07:08:14 +0100

